Released Simutrans 0.84.21.0

05-Dec-04: NEW: included Prissis image corrections
           FIX: fixed a few german translation entries
           FIX: fixed a few problems in event handling that lead to
                a crash if a game was loaded while a depot window
                was open

04-Dec-04: NEW: included Prissis new vehicle accelleration code
           CHANGE: performance optimized city building selection
           CHANGE: improved city building rules

29-Nov-04: FIX: added safety check to wegbauer_t::baue()

28-Nov-04: CHANGE: changed loading progress indicator so that the later
                   steps in loading a saved game are indicated better

Released Simutrans 0.84.20.0

28-Nov-04: FIX: fixed a crash if a vehicle was sold while the vehicle
                info window was open
           FIX: cities can now skip gaps in building levels (gaps up to
                16 levels) -> this allows players to remove city building
                PAK files without unlinking higher level buildings from the
                chain unless they create gaps of 16 levels or more
           CHANGE: included MHz and Prissi in intro scroller and thanks.txt

           CHANGE: replaced animated fountain by better version created
                   by MHz

           CHANGE: included reworked images by Prissi:
                - a0-townh-stage1.png: fixed roof edge
                - g0-houses01.png: grass and night color fix for one house
                - g0-industry.png
                  * improved optics factory
                  * fixed water cistern night colors
                  * new industrial city building (fertilizer factory)
                  * improved grid structure for cylindrical grey gas tank
                - ls-bridges*.png: fixed night colors
                - ls-shores.png: added one missing pixel

27-Nov-04: FIX: gear is now calculated correctly for all vehicles of
                a convoi (Prissi)
           FIX: station statistics are now shown correctly even if less
                than 16 goods are used in the scenario (Prissi)

26-Nov-04: CHANGE: included MHz new ship depot
           CHANGE: included updated czech translation by Ondrej Machulda

Released Simutrans 0.84.19.0

??-Nov-04: CHANGE: included Hendriks changes

Released Simutrans 0.84.18.0

13-Nov-04: CHANGE: traffic density setting now ranges from 0 .. 16
           CHANGE: replaced "old church" tourist attraction by better
                   image from MHz 
           FIX: traffic density 0 now creates no traffic at all
           FIX: tried to fix "unhappy passengers" counter (there was
                a fixed amount used instead of the actual number of
                passengers).

           Integrated Hendriks bug fixes: 

           FIX: Sequence of "remove" and "update" in line management
                caused a crash
           FIX: finance window: text fixed 
           FIX: finance window: debt warning is visible again 
           FIX: line schedule updates now also affect convois waiting
                for freight
           FIX: depot windows sometimes displayed wrong vehicle information

10-Nov-04: FIX: fixed a bug that caused factories to stop producing goods
                if one of the outgoing storages became more than full
                (probably caused by another bug)

Released Simutrans 0.84.17.0

06-Nov-04: Integrated Markus and Hendriks changes: 

           FIX: "no connection" station list filter fixed (Markus Weber)
           FIX: rail stations without roof now have the type 
                "rail station", too (Markus Weber)
           NEW: mouse wheel support (Hendrik Siegeln)
           FIX: combobox drop down list now can be closed by return
                (Hendrik Siegeln)
           FIX: fixed a memory leak in schedule list ui (Hendrik Siegeln)
           FIX: fixed a problem with line/schedule updates 
                (Hendrik Siegeln)

05-Nov-04: CHANGE: replaced old rail depot by MHz' new rail depot
           CHANGE: replaced one more industrial building by a better 
                   version created by MHz

04-Nov-04: CHANGE: replaced three industrial buildings by better 
                   versions created by MHz
           CHANGE: replaced one residental building by a better 
                   version created by MHz
           CHANGE: improved two residental building images
           CHANGE: included updated hungarian translation by
                   Ferencz Szekely
           CHANGE: included updated polish translation by
                   Maciek Gajewski
           
Released Simutrans 0.84.16.4

01-Nov-04: FIX: fixed some accesses to uninitialized values in relief
                map frame.
                -> A crash has been reported upon pressing 'm' but
	        I couldn't reproduce it. I hope this was the reason
	        and my changes will fix it. At least my memory debugger
                is happy now. Since I couldn't reproduce the crash I 
                can't tell if it is fixed or not!

Released Simutrans 0.84.16.3

31-Oct-04: FIX: depot maintenance cost is now calculated correctly
                after loading a saved game
           CHANGE: savegames are now sorted by date, newest on top
                   of list

30-Oct-04: FIX: placing a marker and confirming by pressing OK no
                longer causes a crash
                -> this required quite a lot of changes to event 
                   handling, I hope I didn't break some other
                   functionality

Released Simutrans 0.84.16.2

25-Sep-04: NEW: included MHz new gasoline refinery
           FIX: opening the line management window now gives a click
                sound
24-Sep-04: FIX: included Hendriks fixes for the line management/button
                click problem
           FIX: tried to fix a freeze if the clock of the computer is set
                back
           NEW: included more Joachim Baums german texts about the trees

19-Sep-04: NEW: included MHZ' new car repair shop
           CHANGE: included updated czech translation by Ondrej Machulda

18-Sep-04: FIX: cities now build monuments again

08-Sep-04: NEW: included Joachim Baums german text about the beech trees

Released Simutrans 0.84.16.1

06-Sep-04: FIX: clickable "world view" in factory info windows works
                again.
           FIX: color codes in goods list now match those in the station
                statistics.
           FIX: emergency vehicle remove button "X" now works again.
           FIX: furniture factory had miscolored edge (should've been
                transparent).
           FIX: schedule window scrollpane now behaves properly
                (Formerly it scrolled the contents out of the window
                 if the "insert", "remove" etc. buttons were pressed)
           CHANGE: improved a few more german building descriptions.

Released Simutrans 0.84.16.0

05-Sep-04: CHANGE: included MHZ' new furniture factory
           CHANGE: included updated slovak translation by Ján Krnác
                   included updated prop-latin2.fnt (Ján Krnác ?)

04-Sep-04: CHANGE: included Hendriks depot window changes
                   - Vehicle lists now have scrollbars

03-Sep-04: FIX: station statistics no longer show the special good
                "None"
           NEW: Added "Ballonstart" image painted by MHZ
           NEW: Added color codes to goods list
           CHANGE: tooltips of way building tools now show 2 decimals
                   of the price and maintenance cost
 
01-Sep-04: CHANGE: replaced an industrial city building by a better
                   version provided by MHZ
           CHANGE: improved a few city buildings
           NEW: new commercial city building "roof cafe" provided by MHZ
           CHANGE: improved a few german building descriptions

30-Aug-04: NEW: replaced one city building by a better version painted
                by MHZ
           NEW: tooltips for some of the schedule windows buttons
           FIX: yearly money chart root is now updated correctly
                (shows current year, not year of previously saved game)

28-Aug-04: CHANGE: finished including Hendriks update
                   - factory info windows got scrollbars
                   - schedules can be promoted to lines
                   - finance window now stores monthly data for the 
                     past 12 months (savegames are converted automatically)
                   - improved input focus handling
           NEW: new vehicle TPI Std 2-6-4T (steam)
           CHANGE: finance window now remembers size and settings if
                   closed and reopened unless you load a saved game
                   or start a new map.

28-Aug-04: CHANGE: started to include Hendriks update

Released Simutrans 0.84.15.3

24-Aug-04: FIX: assigning a vehicle to a new line by using the choice
                box in the vehicles schedule window no longer causes
                a crash.
           FIX: fixed a crash if a way without an owner was built (this
                problem was introduced by the fix for correct maintenance
                cost after replacing a way with another type of way
                in 0.84.15.2)

23-Aug-04: CHANGE: back-ported 128 set basement images to 64x64 pixel set
           CHANGE: if a passenger destination is a water square, the
                   destination is re-rolled. This doesn't avoid off-shore
                   destinations entirely but reduces them a lot.
           CHANGE: factories now produce passengers (commuting workers)
                   and mail properly
           CHANGE: theatre now has "Leuchtreklame" and lit windows

22-Aug-04: CHANGE: line management window now rembers size and settings
                   if closed and reopened unless you load a saved game
                   or start a new map.

Released Simutrans 0.84.15.2

22-Aug-04: FIX: if a way is replaced by another way, maintenance costs
                are now calculated correctly
           FIX: finance window chart now considers starting year correctly
           CHANGE: improved some images
                   - station floors
                   - station roofs
                   - loading bay images now have a few crates shown
                   - new oak tree (slightly modified version 
                     from 128 set, original image by Tomas Kubes)
                   - new mountain pine tree
                   - improved fir image
                   - improved cement mill image somewhat
                   - added old roadster private car (slightly modifed
                     version from 128 set)
           CHANGE: tried to reduce the overall number of oil wells
                   -> maybe the default industry density should be risen
                      a little bit now
           CHANGE: added new city building rule for houses
                   -> fills empty middle of 3x3 block of houses
           CHANGE: added translations for a few trees (don't know
                   the names of some -> no description possible)

21-Aug-04: CHANGE: improved some images
                   - some industrial town houses
                   - some commercial town houses

20-Aug-04: CHANGE: improved some images
                   - Townhall stage 0 and 1
                   - some residental town houses (night mode)
                   - some industrial town houses (night mode)

Released Simutrans 0.84.15.1

20-Aug-04: FIX: station can only store 128 units of goods per square
                -> this now also holds true for passengers generated
                   by tourist attractions

Released Simutrans 0.84.15.0

20-Aug-04: CHANGE: added a missing space to short freight info
           CHANGE: station can only store 128 units of goods per square
                   and type for all types of goods
                   -> for freight the limit was a total of 1000 before
                      regardless of station size
                   -> for passengers and mail it was 64/square before
           CHANGE: rectified and updated some of the german in-game 
                   help files.
           NEW: all depot window buttons now got tooltips
           NEW: display options window got a "?" gadget to open the
                associated help window.
           NEW: station details window got a "?" gadget to open the
                associated help window.
           FIX: fixed a bug in HTML (help) display if a link was the first
                word of a line, it couldn't be selcted as a link.
           NEW: added factory details (optional) windows

15-Aug-04: NEW: most depot window buttons now got tooltips
           CHANGE: included updated slovak translation by Ján Krnác

14-Aug-04: CHANGE: continued to work on monorail track and vehicles

12-Aug-04: NEW: shaved off a few more CPU cycles from the graphics code

11-Aug-04: NEW: hand-optimized assembly routines for drawing tiles
                -> about 5% faster than previously used C code

??-Aug-04: CHANGE: continued to work on monorail track and vehicles

Released Simutrans 0.84.14.0

06-Aug-04: CHANGE: added introduction dates for all ships
           CHANGE: added introduction dates for more busses

05-Aug-04: FIX: fixed a bug that caused signals to become partly 
                transparent after zooming out and zooming in again
           FIX: fixed a bug that cause station names to be displayed in
                mini world view in some windows (e.g. station info)
           FIX: changed printers ink, chemicals and medicine from metric
                "tons" to metric "crates"
           NEW: "max_transfer" parameter added to simuconf.tab
           CHANGE: added introduction dates for all train engines

04-Aug-04: CHANGE: improved some images
                - pharmaceutical plant

03-Aug-04: CHANGE: improved some images
                - Serj Gaz 4 Goods truck is now a little bit larger
                - H-Trans Mail truck
                - Tree 1 was replaced by a better tree image
                - Commercial building "Office block" 

02-Aug-04: NEW: introduction message for new vehicles

01-Aug-04: FIX: limited max distance for pathfinder to 480 steps. This
                fixes a crash of a route with almost 512 step was found
                and a train wants to add additional steps. The chosen
                parameters are safe for trains up to 31 carriages. This
                should be ok, since the player can't set up trains longer
                than 16 carriages.

Released Simutrans 0.84.13.0

31-Jul-04: NEW: show up arrow for capped station statistic bars
           NEW: "show_names" parameter included in simuconf.tab
           CHANGE: included updated czech translation by Ondrej Machulda

29-Jul-04: NEW: on-map statistics for stations can now be toggled by
                pressing !
           NEW: timeline can now be switched on/off for testing in
                simuconf.tab (default is off)

28-Jul-04: NEW: on-map statistics for stations
           NEW: improved city roads for 64x64 pixel tile set

Released Simutrans 0.84.12.0

24-Jul-04: NEW: (Hajo)
                buildings mail and passenger levels now actually influence
                creation of mail and passengers
           FIX: one more bugfix to make Simutrans run past year 2612
           CHANGE: I've tried a kind of 'optimization'. koord3d objects
                   formerly had a size of 6 bytes, which is bad for both
                   32 bit and 64 bit systems. I've now squeezed them in
                   4 bytes -> this means they require less memory and are
                   better aligned in memory, but the components now are
                   11 and 10 bits in size which adds some overhead to
                   component accesses. Right now, I don't know if the
                   tradeoff will be a win or a loss ... please let me
                   know about your experiences.
           CHANGE: (DarioK)
                   Passengers now check for destination station before 
                   doing pathfinding. This is slower for new games with
                   only few stations, but faster for big games with a
                   lot of interconnnected stations
           FIX: (Hendrik)
                loading games with 0 factories works again

18-Jul-04: NEW: (Hajo)
                buildings now have separate mail and passenger generation
                levels

Released Simutrans 0.84.11.0

10-Jul-04: CHANGE: language/translation file entries/translation facility
                   now supports up to 4K of text per entry
           CHANGE: game time is now an unsigned 32 bit value. This
                   change should allow to play Simutrans games beyond
                   year 2612, the limit is now around year 3200

           Included Hendriks updates:

           Bugfixes:
           - delete multiple lines in line management window, and 
             immediate selection of other line could crash Simutrans
           - suppliers now get correctly registered, even for savegames
           - line management window "update line" selected wrong line

           Changes:
           - textinput supports clipping & scrolling & more
           - combobox uses new textinput component and is now inheriting
             gui_textinput_t
           - window titels now support clipping


Released Simutrans 0.84.10.0

03-Jul-04: FIX: new map window now displays translated factory names

           Included Hendriks updates:

           Bugfixes:
	   1) now lists up to 24 suppliers of an industry (was 6 before)
	   2) improved focus handling of text input fields

	   Bugfixes:
           the new "gueterbahnhof" was not shown in overview map overlays
           (coverage, etc)
           "operating profit" was adding vehicle's running cost to profit,
           rather than substracting

           Change:
           added ev_key_mod to event struct (ev_key_mod holds key modifiers,
           such as SHIFT, ALT, STRG, etc); required for new features (see
           below)

           New:
           overview map enhancement (show connected industries; shows
           customers default, use SHIFT to show suppliers) map zooms in/out
           respecting SHIFT key

           Change:
           savegame version now 84007 (was required for new curve in finance
           window)
           if user clicks into the scrollbar, above/left or below/roght the
           slider, now the scrollbar scrolls up/down accordingly


19-Jun-04: Included Hendriks updates:

           New:
           line filter in line management (all, truck, train, ship)
           using tabs

           New:
           introduced new curve to finance window: ops profit

           Change:
           simplified delete_line interface (now accepts simline_t *,
           too)
           fixed potential (very minor) memory leak in line management
           window (halt_list_item_t was instantiated always, now it is
           created if required, only); 

           Change:
           savegame version now 84007 (was required for new curve in
           finance window)
           if user clicks into the scrollbar, above/left or below/right
           the slider, now the scrollbar scrolls up/down accordingly

Released Simutrans 0.84.9.1


13-Jun-03 FIX: oil rigs are now initially linked to their stations
               again

Released Simutrans 0.84.9.0

10-Jun-04 FIX: fixed an invalid memory read in image encoding (zooming
               from zoom level 2 to zoom level 1 could cause a crash)
          CHANGE: reduced output storage capacity of most factories
          CHANGE: default industry density is now 450 (was 420)

02-Jun-04 FIX: included Hendriks fix for an index problem in
               deleting a line
          CHANGE: improved a few buildings images
          CHANGE: replaced duckpond-park with tomas new park

Released Simutrans 0.84.8.6

31-May-04 CHANGE/FIX: station<->factory link is now bidirectional, this
                      means, situations in which a station was linked 
                      to a factory but the factory not linked to the
                      station cannot occur anymore. In games with many
                      stations and factories, this change should also
                      save a little bit of CPU time for other tasks.
                      Attention: the link has a length of 4 squares,
                                 this means, there can be at most 2
                                 squares between the station and the
                                 factory (unless the station has an
                                 irregular shape, e.g. T-shaped). 
          FIX: building powerlines no longer crashes the game
          FIX: new cities can only be built on empty, flat squares
          FIX: new cities no longer can be built on water
          FIX: added a missing space to station detail info
               string (indention of "goods needed by factories" list)
          CHANGE: splash screen now uses proportional font

Released Simutrans 0.84.8.5

19-May-04 CHANGE: if user has not selected a language yet, Simutrans
                  defaults to english now
          CHANGE: there are now 32 goods categories available for
                  use in scenarios
          CHANGE: mouse pointer is now shown on splash screen
          FIX: added a missing space to station short freight info
               string (e.g. shown in line management)

Released Simutrans 0.84.8.4

16-May-04 FIX: all road bridges can be used now
          FIX: stations can't be connected sideways anymore
          FIX: scenario specific translations now get packaged, too

Released Simutrans 0.84.8.3

01-May-04 NEW: included Hendriks changes:
               - internal improvements in line management
               - fixed a crash if list and filter window were
                 closed by pressing backspace
          FIX: fixed a bug in MakeObj that created all vehicles with
               engine type "steam"
          FIX: horses got engine type "bio"
          CHANGE: depot frame now deduces engine type from vehicle
                  data instead from vehicle name (this means that
                  in old translations, the type will be listed twice!)
          CHANGE: news ticker discards newly incoming messages that have
                  the same text as the last shown message

15-Apr-04 CHANGE: moved scenario specific texts into scenario 
                  directory, and adapted translator to read them
                  from there

14-Apr-04 CHANGE: cleaned up translation facility API

Released Simutrans 0.84.8.2

11-Apr-04 FIX: lines entered from line magement window now show up
               in depots again
          FIX: lines entered in another depot, are visible in all
               depots again after opening their info window

10-Apr-04 CHANGE: saved games of versions < 84006 became incompatible due
                  to an accident. I can't revert this accident, so the
                  game now treats such saved games as incompatible and
                  gives an appropriate message instead of crashing

Simutrans 0.84.8.1 for developers only

09-Apr-04 FIX: added a safety check to vehicle list, to avoid a crash
               if the entry of a just deleted vehicle is clicked
          FIX: button_t was missing an assignment operator which could
               cause a crash in certain circumstances

Released Simutrans 0.84.8.0

04-Apr-04 NEW: freight train station - so far look only, no effect on
               gameplay yet

03-Apr-04 NEW: goods info window now shows weight per unit, too.
 
02-Apr-04 CHANGE: enabled -async option for SDL based Simutrans
                  versions

01-Apr-04 CHANGE: adjusted weights of busses and trucks
 
31-Mar-04 CHANGE: adjusted 64x64 pixel tile set waggon weights
          CHANGE: AI now searches more locations for stations
          FIX: AI now properly raises/lowers land in order to
               build a station
          CHANGE: AI now uses "wait for 100%" setting if using trains

30-Mar-04 NEW: weight of freight is now considered in acceleration
               calculation
          CHANGE: small steam engine now has gear 1:2
          CHANGE: big steam engine now has gear 1:1.2
          CHANGE: pharma producer consumes 230% chemicals instead
                  of 530% chemicals to produce medicine

Released Simutrans 0.84.7.1

29-Mar-04 FIX: fixed a bug in loading engines with old style way type
               "electrified track" -> now they are listed in depots
               again, waytype is now silently changed to track
          FIX: included a fix by Hendrik to better initialize 
               waiting goods statistic for less frequented stations
          NEW: included Stefan "MIP" Wuttichs cobblestone road

28-Mar-04 NEW: MakeObj now supports engine_type for vehicle DAT/PAK
               files:
                 - diesel
                 - electric
                 - steam
                 - bio
                 - fuel_cell
                 - hydrogene
          NEW: MakeObj now supports weight_per_unit for goods DAT/PAK
               files:
                 - weight_per_unit
          NEW: steam engines now always produce steam clouds while
               driving
          FIX: fixed an array bounds violation in AI bridge building

27-Mar-04 NEW: cobblestone road
          FIX: 's' and 't' shortcuts work again

26-Mar-04 NEW: initial intercity road type can be configured in
               simuconf.tab
          NEW: added introduction date attribute for new ways types
          CHANGE: removed last reference to "Track" and "Road" (the
                  old types)

25-Mar-04 FIX: fixed a bug in wegbauer_t that caused a crash if a way
               without description was to be built
          CHANGE: changed AI code to use new way types
          CHANGE: initial inter city roads now work properly with new
                  road types

24-Mar-04 CHANGE: changed way builder to work with new way types
          CHANGE: changed city building code to work with new way types
          CHANGE: changed maintenance cost calculation to work with new
                  way types
          CHANGE: road tools menu
          CHANGE: rail tools menu
          INTERN: restructured 64x64 pixel tile set way images and
                  way descriptions

23-Mar-04 FIX: included Hendriks fix for typed lines
          NEW: prepared road tool icons
          NEW: road images for dirt road and gavel road
          INTERN: restructured 64x64 pixel tile set way images and
                  way descriptions

22-Mar-04 CHANGE: continued to work on new way types (descriptions,
                  menues, icons, cursors, DAT/PAK files)
          INTERN: reduced number of #includes in translator.h

21-Mar-04 CHANGE: continued to work on new way types:
                  changed MakeObj and PAK loader classes to write and
                  read new 'way' PAK files

20-Mar-04 FIX: included Hendriks bugfix for schedule list/waypoint
               crash

          released Simutrans 0.84.6.0

          NEW: rail tools menu now shows costs of the actions
          NEW: road tools menu now shows costs of the actions
          CHANGE: changed error reporting mechanism for template
                  (container) classes
          CHANGE: started to rework rail tools menu to allow several
                  track types
          CHANGE: started to rework road tools menu to allow several
                  road types

17-Mar-04 CHANGE: integrated Hendriks changes

15-Mar-04 FIX: industries are now created on all densities except
               density 0

14-Mar-04 CHANGE: pause only canceled by key codes >= 32
          CHANGE: pause now really stops game time (industries
                  don't try to catch up with production after
                  unpausing)

13-Mar-04 NEW: frameless window type
          CHANGE: changed news ticker to frameless window
                  -> this means it can now receive click events
          NEW: ticker messages can now be bound to positions. If clicked
               an a position is bound the map is centered on the position.

12-Mar-04 CHANGE: reduced header file dependencies

11-Mar-04 FIX: fixed some GCC 3.2 compatibility issues in the template
               classes
          NEW: minimum industry density setting does not generate any
               industries at all

released Simutrans 0.84.4.0

06-Mar-04 FIX: fixed a problem in removing a signal inside a station

05-Mar-04 CHANGE: included Hendriks changes
                  - schedule window now has scrollbars
                  - up to 32 stops per schedule allowed
                  - minimize map doesn't leave buttons floating
                  - minimize station and vehicle info window doesn't
                    interfere with chart drawing anymore
 
04-Mar-04 FIX: "no route" vehicle list filter works again (was broken
               during introduction of new vehicle code between 0.83.x
               and 0.84.x

released Simutrans 0.84.3.2

03-Mar-04 FIX: fixed a problem in removing signals
          FIX: fixed a text formatting problem in factory info window

released Simutrans 0.84.3.1

29-Feb-04 NEW: city list window (hotkey 'T')

28-Feb-04 FIX: overhead wires no longer disable way info display
          CHANGE: finished to incorporate Hendriks new relief map
          CHANGE: way statistics now get saved with the game

27-Feb-04 CHANGE: started to incorporate Hendriks new relief map
                  -> need to change the structur somewhat to fit
                     better

22-Feb-04 CHANGE: fixed some mistakes that have been introduced while
                  changing character arrays to the new buffer objects
          CHANGE: vehicle list now formats income with thousands
                  separators
          CHANGE: included updated danish translation (now using ĝ)
          CHANGE: included updated japanese translation
          NEW: added toolbar icon for line management

21-Feb-04 CHANGE: reworked object info handling to use bounds-checked
                  character buffer objects instead of plain character
                  arrays. I hope this will help to solve some of the
                  memory (i.e. buffer overrun) problems

20-Feb-04 NEW: added max_hops parameter (goods routing search depth) 
               to simuconf.tab

19-Feb-04 CHANGE: changed city name list to use <cstring_t> instead
                  of <const char *>

released Simutrans 0.84.2.2

19-Feb-04 FIX: fixed a typo in simuconf.tab: display_height is now
               written properly (formerly the code checked for
               display_heigth)
          FIX: fixed a buf that made too fast vehicles miss the
               proper stopping point sometimes (could cause trains
               to get stuck near signals)

released Simutrans 0.84.2.1

16-Feb-04 FIX: Bridge tools menu size now adpats properly to number of
               contained icons

released Simutrans 0.84.2.0

15-Feb-04 FIX: added ĝ character to prop.fnt (needed for danish
               translation)
          CHANGE: included updated danish translation from
                  Finn Rosenbech Jensen (not yet using ĝ, was made
                  for former font version)
          NEW: included new, downscaled, oil rig from 128x128 pixel
               tileset made by James Starr
               WARNING: this one is 3x3 squares - the old one was 2x2
                        if you load old games, that have things near
                        oil rigs, there might be bad effects if the 
                        new oil rigs overlap the existing things!
               WORKAROUND: get the old factory.Oelbohrinsel.pak from
                        the 0.84.0.1 base package and use it instead
                        of the new one.

14-Feb-04 FIX: fixed a bug that could cause a truck with a trailer to 
               wait for itself to clear the road (= was stuck)
          NEW: added "topspeed" parameter to bridge dat files
          CHANGE: removed bridgepos parameter from bridge dat files
          NEW: speed limit for bridges (not really sure if that works
               for sure it won't affect existing bridges in old games,
               only newly built bridges)
          NEW: bridge tool tooltips now list additional information
               (price, speed limit)
          WARNING: the changes to the bridge DAT/PAK files introduced
                   a slight incompatibilty with former bridge PAK files:
                   the old files do not store icon information for the
                   menu. Thus if you use old PAK files with this 
                   version, the bridge tools menu will show emty icons.
                   The tooltips will help to identify the correct sort
                   of bridge. 
                   -> ATM this only affects the 128x128 pixel tile set
                      and selfmade bridges. Both must be updated to
                      include icon information and recompiled with
                      MakeObj 0.1.6
                   -> See datfiles_15-Feb-04.zip for examples
                      (MakeObj forum, examples section)

12-Feb-04 NEW: added more simuconf.tab entries
          NEW: new toolbar like tool chooser window (will be used
               to select bridge types and way types)
          CHANGE: changed bridge tool selector to use the new
                  tool chooser

11-Feb-04 NEW (by Hendrik): line selection in depot window now got
                            a drop-down list (click into the input
                            field to open)
          CHANGE (by Hendrik): vehicle info window now shows total
                            running cost
          NEW: a simple tree planting tool (hotkey /) 
          CHANGE: vehicle info window shows top speed limit and
                  max top speed of the pulling engine

09-Feb-04 FIX: added missing town hall upgrade at 3500 inhabitants

released Simutrans 0.84.1.0

07-Feb-04 NEW: added 1% waiting time to schedule choices
          NEW: included japanese translation and fonts
          CHANGE: chosen language is no longer saved with game
                  (this emasn that the chosen languge won't be
                   altered if you load a game that was created with
                   a different langauge setting)
          CHANGE: improved coal mine image a little bit
      
06-Feb-04 FIX: fixed a problem that's been introduced during some changes
               while 0.83.x development: it is no longer possible to 
               build roads or rails through a bridge abutment (was ok
               before 0.83.x, too).
          FIX: town hall upgrades no longer modify squares south of the
               new town hall if those squares are owned by a player
          CHANGE: factory info window now shows max production per day
          CHANGE: lowered coal consumption of power stations by 30%
          CHANGE: risen productivity of saw mill and material
                  wholesale by 15% each

05-Feb-04 CHANGE: included new fi.tab provided by Antti Louko
          CHANGE: improved steel mill image
          
04-Feb-04 NEW: speed limits for ways (currently 50 km/h on city roads
               130 km/h on other roads and 450 km/h on rails)

released Simutrans 0.84.0.1

02-Feb-04 FIX: fixed a bug if a line was deleted while it had 
               pending updates 
          FIX: fixed a an access to an unitialized variable if
               a line was deleted after loading a saved game

released Simutrans 0.84.0.0

01-Feb-04 CHANGE: finished rework of convoi and vehicle class
          CHANGE: lowered productivity of coal mines
          CHANGE: improved townhall stage 1 image
          CHANGE: improved townhall stage 2 image
          NEW: vehicles now issue a message in the news ticker if
               they enter a depot
          FIX: fixed a bug in town hall expansion code

          FIX (by Hendrik): vehicle info window minimum size now
                            considers chart width
          FIX (by Hendrik): station info window minimum size now
                            considers chart width
          FIX (by Hendrik): list of lines stopping at a station
                            is now properly updated after a change
                            to the line
          NEW: included Paul Szczepaneks stadium
          NEW: included Danish translation by Finn Rosenbech Jensen

31-Jan-04 CHANGE: continued thorough rework of convoi and vehicle class

30-Jan-04 CHANGE: started thorough rework of convoi and vehicle class
                  structures
                  - moved route data from vehicle to convoi class
                  - moved async step from vehicle to convoi class

                  Code cleanup
                  - moved strequ from simplan.cc to simstring.c,
                    renamed to tstrequ

released PAK update

28-Jan-04 CHANGE: - unified window colors 
                  - added shadows
                  - reworked many building images
                   
27-Jan-04 NEW: included Paul Szczepaneks tennis court, theatre and 
               home market images.

26-Jan-04 CHANGE: improved car factory image
          CHANGE: improved steel mill image
 
released Simutrans 0.83.7.1

25-Jan-04 CHANGE: replaced a residental city building with a better 
               version from 128x128 pixel tile set (Modern house)
          CHANGE: replaced an industrial city building with a better
               version from 128x128 pixel tile set (Tools factory)
          CHANGE: adjusted city building AI to get better industrial
               and commercial city areas
          CHANGE: adjusted chart size and placement to allow bigger
               value ranges (line management, station info, vehicle info
               - suggestion by Hendrik Siegeln)
          CHANGE: improved oil field from 128x128 pixel tile set included
          CHANGE: increased probability to create a bookshop, car shop,
                or furniture shop in a city.

24-Jan-04 FIX: fixed an array bounds violation if laoding a 
               heightfield again after increasing the number of cities.
          FIX: fixed a problem in removing signals - now issues an
               error message if the signal combination cannot be
               removed safely.
          FIX: removed an erroneously lit pixel from one of the trees
          NEW: translateable thousand and fraction separators
               (language dependant number formatting)
          NEW: 4x7 font (map legend) now also available in latin-2
               (needed for polish and czech translation)
          NEW: added lights to private cars

23-Jan-04 FIX: zooming now works reliably again (was broken due to
               introduction of skinning support)
          CHANGE: replaced wait loop by timer solution

22-Jan-04 NEW: continued to work on skin support -> support for
               user defind button skins

released Simutrans 0.83.7.0

21-Jan-04 NEW: continued to work on skin support -> created
               example/default skin
          NEW: added tooltips to vehicle and station info window
               buttons
          CHANGE: changed some buttons shapes (factory info and
                  depot info windows)

20-Jan-04 NEW: continued to work on non-darkening image drawing

19-Jan-04 NEW: started to work on non-darkening image drawing
          NEW: started to work on skin support

released Simutrans 0.83.6.1

18-Jan-04 FIX: latin-2 font now also loaded if saved langauge setting
               needs latin-2 font
          FIX: interity road offset can be 0,1 (64x64 pixel tileset)
               or 0,2 (128x128 pixel tile set) -> I hope it will make
               the intercity roads also work with the 128x128 pixel
               tile set
          CHANGE: intercity roads now have no owner anymore

released Simutrans 0.83.6.0

18-Jan-04 NEW: support for latin-2 proportional font and new polish
               translation. The latin-2 font and polish translation 
               update have been kindly provided by Maciek Gajewski
          CHANGE: included new italian translation and citylist. Both
               have been kindly provided by Stefano Bonzi
          CHANGE: small updates to chart layouts (station, vehicle and
               line management windows) 

17-Jan-04 CHANGE: made line management window resizeable
          FIX: scrollbars in convoi and station info window now work
               again, even if the chart is hidden
          FIX: tried to fix the initial road connection problem with
               128x128 pixel tile set

16-Jan-04 MERGE: included Hendriks changes
               - more vehicle statistics
               - more station statistics
               - heavily improved line management window
               - finance window 32 bit integer overflow fixed

released Simutrans 0.83.5.0

14-Jan-04 NEW: initial road connections between cities. This slows
               down map creation noticeably. The maximum length of
               the roads (= time spent during map creation) can be 
               configured with a simuconf.tab entry - if map creation
               is too slow now on your computer, edit simuconf.tab
               and lower the max road length.
          NEW: overhead wires now have a maintenance cost of
               2 CR/month (configureable via simuconf.tab)


12-Jan-04 FIX: tried to get more information about PAK file loading
               problem on some Linux versions
          CHANGE: changed a commercial city building image+description

11-Jan-04 NEW: Debugging helper: buildings list window
          CHANGE: pak update
               - new old-style goods truck
               - two more high level industrial city buildings
               - one more high level comercial city building
               - replaced "Medium offices" with better image
               - chanegd levels of some buildings to achieve better
                 look of cities
               - changed descriptions of some buildings
               - fixed two mismatched buildings descriptions

10-Jan-04 NEW: back ported Gaz-4 goods truck from 128x128 set to 64x64

09-Jan-04 NEW: started to work on introduction dates for vehicles
               Currently they are just stored in the PAK files and
               displayed in the depot window - no effect on gameplay
               yet.

               MakeObj 0.1.5 support two new attributes for vehicles:

                 intro_year (int):  Year of introduction
                 intro_month (int): Month in year

                 gear (int): gear of engines - will work as power 
                             multiplier. 

               If you create PAK files, make sure to include them in 
               your dat files!!!

               The gear value is an factor to distinguish freight
               train engines and passenger train engines - freight
               train engines use to have a larger gear value, this
               means they have less top speed but they can pull heavier
               trains. (Of course this is only an approximation to 
               reality)

               I've assigned a few introduction dates and gear values 
               to trucks, and some train engines, but I think I need 
               help to assign proper values to all vehicles.

          CHANGE: risen max map size to 1024x1024

08-Jan-04 FIX: fixed a bug in rtrim() function that caused characters
               128-255 to be treated as whitespace (effect: city names
               ending in umlauts or accented characters got those
               characters removed)

released Simutrans 0.83.3.0 and upgraded food chain

08-Jan-04 FIX: Map legend now dynamically adapts to the number of 
               configured factories (-> always big enough to list all
               factories)
          CHANGE: more finetuning on 64x64 image set and configuration
          CHANGE: rebalanced food chain configuration to better fit
                  into the 64x64 object set

07-Jan-04 NEW: Goods overview/list now shows category of goods, too
               (Hotkey Shift-G)
          Back ported IL-209S goods truck and trailer

released back-ported food chain

          Back-ported 128x128 food industry chain to 64x64
          - Goods: canned_food, flour, beer, grain, meat, fish, food,
                   milk
          - Factories: grain farm, fish_pond, fish swarm, cow farm, 
                       brewery, dairy, grain mill, bakery, 
                       food processing plant, cannery, supermarket
          - Vehicles: cooling waggon, milk waggon, cooling truck,
                      milk tanker, fishing boat

          Updated 64x64 pixel tile set
          - lumber plantation size increased to 3x3
          - further improved a few city buildings images

06-Jan-04 Updated 64x64 pixel tile set
          - improved a few city buildings images
          - included new printing works image
          - included new coal mine image
          - added Patricks Rock again (had been lost)
          - included improved sidewalks
          CHANGE: included new french translation by Dominique Gainche 

04-Jan-04 CHANGE: included updated czech translation by
                  Ondrej Machulda

released Simutrans 0.83.2.2

04-Jan-04 FIX: included a fix by Hendrik to prevent a crash if the
               last vehicle of a convoi is removed from the convoi in 
               the depot
               -> we are not 100% sure if this fix will not break
                  something else

03-Jan-04 FIX: added missing variable initializers to convoi_t 
               constructors (Hendrik, Hajo)
               -> This should fix a number of line-management
                  related problems after loading a saved game
               -> This might also fix the trashed line names in
                  the vehicle info window (the bug doesn't occur on my
                  system, so I can't test if this fix really helps)

released Simutrans 0.83.2.1

02-Jan-04 FIX: tried to fix the trashed line names in vehicle info
               window (the bug didn't occur on my system, so I can't
               test if this fix really helps).
          FIX: added 'special building' translation to de.tab
          FIX: uprising messages are now time-synced (raise equally
               fast on all computers)
          NEW: added 'w' key documentation to keyboard help
          CHANGE: changed behaviour of " key: only ordinary city 
                  buildings are hidden, special buildings stay visible
          CHANGE: line management window now opens fully inside screen/
                  window in default 800x600 resolution
          CHANGE: resolutions of width 1400 and 1600 now try to open
                  in fullscreen mode (I can't test this on my system,
                  so I don't knwo if it works well or not).

01-Jan-04 FIX: line numbers are now created in subsequent order again
          CHANGE: line 'name' is now initially set to all bytes 0 upon 
                  creating a new line.
          CHANGE: included citylist_pt.txt
          MERGE: included Hendriks changes:
                 - Station info details window now list connected lines,
                 too.

released Simutrans 0.83.1.3

31-Dec-03 FIX: fixed a crash if the schedule of a line was changed
               (double free, Hendrik)
          FIX: fixed potential use of an unitialised variable in
               schedule list ui
 
released Simutrans 0.83.1.2

29-Dec-03 FIX: changed convoi waiting times from steps to real time
               -> with this fix, waiting times should consider the 
                  time lapse factor
          FIX: fixed a crash if station-connections are being rebuild
               while there is a vehicle without a schedule
          FIX: made two more entries of the lines mangement window
               translateable.
          FIX: fixed a bug that could produce the same line id twice
               (two lines with same id severly screw up the line
               management, this was an important fix).
          CHANGE: included new fi.tab provided by Antti Louko
          CHANGE: included citylist_en_gb.txt from the feedback forum
          CHANGE: added new entries for line management window to
                  en.tab and de.tab

released Simutrans 0.83.1.1

28-Dec-03 FIX: fixed this problem:
                1. buy 4 waggons (without an engine)
                2. add a waypoint to the schedule of the convoi
                3. try to start the convoi
                4. error message appears (convoi cannot drive,
                   because it has no engine)
                5. click on 'put in front' button
                6. buy an engine
                => crash
               This fix required a major rework of the schedule handling.
               I'm not sure how stable the new code is.
          FIX: removing signals from circle-shaped rail blocks did
               not work properly. This is fixed now.
          CHANGE: road vehicles depot now has same spacing as rail
                  vehicle depot (= 14 vehicles per row, 64x64 mode)
          CHANGE: re-added this to the 0.83 again (had been lost in early
                  0.83.x versions): 
                  passenger statistics in city window now shows 
                  unreachable passenger destinations in orange and 
                  reachable destination in yellow


27-Dec-03 CHANGE: added more debug/trace statements to PAK file
                  loading code (hope this will some day help to
                  track down the PAK file loading problems on
                  some Linux systems)
          CHANGE: code cleanup

released Simutrans 0.83.1.0

22-Dec-03 NEW: included Hendriks changes
               - Vehicle lines are now sorted
               - Fixed a crash due to an unitialized variable in
                 vehicle line list
                 "press 'w' in new game, select "update" -> game crashes"
                 -> now fixed.

released Simutrans 0.83.0.1
released Simutrans 0.82.15.7exp

20-Dec-03 CHANGE: passenger statistics in city window now shows 
                  unreachable passenger destinations in orange and 
                  reachable destination in yellow

19-Dec-03 FIX: moved savegame format entry from forrestconf.tab to
               simuconf.tab

released Simutrans 0.82.15.6exp

14-Dec-03 FIX: forrest config is now read from 'config' subdirectory, too
          CHANGE: split forrest config from simuconf.tab, now it read 
                  from forrestconf.tab
          FIX: tried to fix the goods distribution problem for factories
               bigger than 2x2 tiles

released Simutrans 0.82.15.5exp

04-Dec-03 NEW: city names can now be read from name list files. Each
               language may have it's own city name list, i.e.
               text/citylist_cz.txt
               If no list file exists for a language the old city
               name creation scheme is used to create city names.

released Simutrans 0.82.15.4exp

29-Nov-03 CHANGE: better distinguishable colors for finance window
          FIX: on slow computers it could happen that the vehicle
               starting sound was played several times. This should
               be fixed now.

28-Nov-03 FIX: fixed a variable overflow in finance window (Hendrik)
          FIX: finance window total money is now updated dynamically
               (Hendrik) 
          CHANGE: replaced most strcpy() calls by a bounds checked, 0
               terminating string copy function

released Simutrans 0.82.15.3exp

27-Nov-03 FIX: fixed a potential buffer overflow is city building 
               rules reading code
          FIX: fixed a potential crash if a curiosity building was
               removed

released Simutrans 0.82.15.2exp

25-Nov-03 FIX: fixed a bug in city building rule evaluation code
          CHANGE: moved simuconf.tab to config subdirectory
          CHANGE: moved city building rules into config/cityrules.tab
          
released Simutrans 0.82.15.1exp

24-Nov-03 FIX: fixed an uninitialized variable in station sorting code
               that could cause a program crash
          FIX: fixed an uninitialized variable in button display/event
               handling code
          CHANGE: added bounds checks to station sort mode text arrays
               access code
          CHANGE: changed Peters new city building rules to avoid
               cities only consisting of one single, extremely long
               road

released Simutrans 0.82.15exp

22-Nov-03 FIX: fixed a potential crash if pressing the "X" button
               to remove vehicles from the map
          NEW: included Hendriks new finance window
          NEW: included Hendriks code to sort goods list in station
               info window.
          FIX: fixed a memory leak in Hendriks sorting code
          NEW: included catalan translation from Juan-Josep Bargues
          NEW: included updated czech translation from Ondrej Machulda
 
15-Nov-03 CHANGE: included Peters new city generation rules.
                  They are about 30% slower than the old set of 
                  rules but create better cities, I think.

12-Nov-03 CHANGE: ships reference speed for speed bonus is now 40km/h.
                  It was 80km/h before. Other vehicles still have a
                  reference speed of 80km/h
          CHANGE: included Hendrik Siegeln in intro scroller
          FIX: vehicle list "no income" filter fixed (Hendrik)
          FIX: vehicle list "name" filter fixed (Hendrik)
          FIX: depot frame refresh after selling stored vehicles
               (Hendrik)
          FIX: adjusted sign height in 128x128 mode (Hendrik, Hajo)

released Simutrans 0.82.14exp

01-Nov-03 NEW: buildings pak files (nodes) are now versioned 
          NEW: support for "chance" value in special town 
               buildings pak files. Chances are given in percent
          NEW: special city buildings are now built according to 
               their chance value
          FIX: towns don't skip growth step anymore
          FIX: town halls are now always properly upgraded
          FIX: added missing translation for "Baumarkt" to de.tab
          CHANGE: cathedral is now a special city building with a
               30% chance to be built for each city
          CHANGE: big stadiums now have a 40% chance to be built
               (was 100% chance before)
          CHANGE: drive in cinemas now have a 30% chance to be built
               (was 100% chance before)
          CHANGE: Deltic is now a diesel enginge

31-Oct-03 CHANGE: got a saved game from Wolfgang Rufeger which crashed
               upon electrifying tracks. Reason for the crash: the track
               has no owner. I have no idea how that can happen. I've 
               added an error check to rail block electrification 
               routine - this at least avoids the crash, but it'd be
               better to know why the track lost the owner value
          CHANGE: changed a minor compatibility issue in ribi_t.h

released Simutrans 0.82.13.1exp

21-Oct-03 FIX: fixed a minor glitch in scrolling/dragging the map if
               mouse pointer was close to the relief map
          CHANGE: vehicles now play their sound before departing instead
               of after arriving

released Simutrans 0.82.13exp


19-Oct-03 FIX: good 'None' no longer shown in goods statistics
          NEW: Included updated czech translation by Ondrej Machulda
          NEW: improved two more building images

18-0ct-03 FIX: factories that don't produce anything now again 
               consume input (got broken during of the changes
               for multiple products)
          FIX: plastics ship is available again (seems it was lost
               since the change to the pak file based configuration)
          CHANGE: updated keyboard help

16-Oct-03 NEW: statistics window, so far only displays transport fees
               and speed bonus for goods. (Press 'G' to open)
          NEW: speed bonus for fast transport of certain goods (see
               goods statistics window for details);

15-Oct-03 NEW: new locomotives: MJHN Deltic, MJHN Avocet, Light Br 5-7
          CHANGE: improved window resizing

14-Oct-03 NEW: new city building
               new vehicle: Colin Motor Bus
          NEW: relief map is now draggable with right mouse button

13-Oct-03 CHANGE: improved a few building images
          CHANGE: included a new residental city building


released Simutrans 0.82.12exp


12-Oct-03 NEW: new factory: Pharmaceuticals
               new shop: Chemist
               new good: Chemicals
               new good: Medicine
          CHANGE: further changes to factory code to distribute
                  multiple products properly to all destinations
          CHANGE: adjusted income for some goods

11-Oct-03 NEW: researched how to version nodes in pak files. First
               tests implemented for factory pak files
          NEW: prepared factory code to support multiple products 
               per factory
          NEW: new good: printers ink (produced by refinery)
          CHANGE: removed umlauts from pak file names -> this means
                  old games cannot be continued because the names
                  of factories and goods do no longer match

10-Oct-03 NEW: convoi info window now displays current destination
          FIX: buttons now ignore window resize events (made them 
               flicker between pressed and unpressed state)
          CHANGE: improved a few building images
          CHANGE: included a new industrial city building
          CHANGE: reordered a few building images

09-Oct-03 CHANGE: implemented the faster movement code for private
                  cars, too.
          CHANGE: lowered coal consumption of the power plants
          NEW:    included better power plant image
          CHANGE: improved a few building images
          CHANGE: reordered a few building images

released Simutrans 0.82.11exp

08-Oct-03 FIX: got a saved game with stuck vehicles. Changed vehicle
               movement code so that vehicles can drive again.
               -> side effect: new code is slightly faster than before
                  and saves 4 bytes of memory per convoi :)
          CHANGE: continued work on new powerlines
          CHANGE: started to prepare better debugging support

03-Oct-03 CHANGE: continued work on new powerlines, fixed some bugs

released Simutrans 0.82.10exp

17-Sep-03 FIX: ships can be started from depots again
          FIX: maintenance costs lowered and moved to simuconf.tab
          FIX: removed unneccesary waiting time for vehicles that
               wait for XY% full but already reached XY%
          CHANGE: continued work on new powerlines

16-Sep-03 CHANGE: continued work on new powerlines


released Simutrans 0.82.9exp


15-Sep-03 FIX: fixed a very serious bug in AI station building. This
               bug was probably a long time there, but lately its
               effect caused a crash, due to changes to other program
               parts. Big thanks go to Duvelke for providing a saved game
               to reproduce this bug!

14-Sep-03 CHANGE: included updated italian, portuguese and dutch
                  translations 

???       CHANGE: added two more high level commercial buildings images
          CHANGE: removed one low quality commercial building image
          CHANGE: improved a few building images
          CHANGE: changed configuration of some engines and waggons

11-Sep-03 CHANGE: improved AI station building ability
          CHANGE: AI can now transport gasoline too - better said, it
                  can now transport any good except mail an passengers

09-Sep-03 CHANGE: changed configuration of some trucks and trailers
          CHANGE: introduced new members of the tigress vehicles class


released Simutrans 0.82.8exp


06-Sep-03 FIX: fixed a bug in heightfield loading code that somtimes
               created lines of land at the right and bottom map borders
               even if there was supposed to be sea there.

          CHANGE: Some config files now get closed immediatley after
                  reading - former Simutrans versions kept them open
                  until the program ended.

          CHANGE: Adapted weight, prices and running costs of some
                  waggons

          CHANGE: Changed some english and german translations entries

04-Sep-03 FIX: Another fix to load saved games with convois without 
               vehicles but a schedule which are sometimes created by
               Volkers new depot code. Thanks go to Manfred Duesing
               for providing a saved game to reproduce this bug!

          CHANGE: risen height value range for heightfields from
                  from -5...1  to -14...10

          CHANGE: changed city building code to keep up with high
                  growth factors. It was reported that the old code
                  had problems with factory above +4, the new code
                  should work well with higher factors, too

03-Sep-03 FIX: Fixed a type/range problem in getting heights from the
               map datasructure. This bug caused various height-related
               problems, including a crash if land was risen above 7

02-Sep-03 FIX: Fixed a bug in Volkers new depot code that allowed
               to remove depots which had vehicles stored in them.

01-Sep-03 CHANGE: Waggons and trailers now have speed limits, too

          NEW: High speed passenger and mail cars suitable for the
               Tigress I engine

31-Aug-03 CHANGE: new maps now can have cities up to size 3300
                  (was 1000 before)
 
30-Aug-03 CHANGE: separated coordinate and cstring classes again (Volker
                  had tightly linked them) to get cleaner interfaces.


released Simutrans 0.82.7exp


26-Aug-03 FIX: Got a saved game where convois had insanely high wait
               lock values. I don't know how that could happen - 
               anyways the locks now have an upper bound of 1023
               so that sooner or later such convois start to move
               again.

          CHANGE: Changed a potentially insecure instruction order
                  in removing convois via the emergency button. 
                  Crashs had been reported, but couldn't be reproduced.
                  I still hope this change will help.

          CHANGE: Reduced vehicle waiting time by another 5%

          CHANGE: Changed city information window to list unemployed
                  and homeless people


released Simutrans 0.82.6exp


23-Aug-03 FIX: Labels/signs now appear centered in 128x128 tile mode,
               too.

          CHANGE: Modified memory management: risen basic block size
                  of pools to 16384 entries (had been 1024 before)
                  This speeds up both allocation and deallocation
                  of pooled objects. The overhead of partly used pools
                  is small compared to Simutrans' overall memory
                  consumption. (Currently this particularly speeds
                  up map destruction, an operation that is performed
                  before creating a new map, loading a new game and
                  before quitting Simutrans).

21-Aug-03 FIX: Hajo: it seems Volkers new depot code sometimes saves
               convois without any vehicles. But Simutrans can't load
               them afterwards and crashes upon loading such a saved
               game. I've implemented a workaround that allows to 
               load such games again, but I think this needs further
               investigation and testing.  

          FIX: Fixed a temporary inconsistency of convoi data that
               lead to serious problems with the new reduced waiting
               time for vehicles.

20-Aug-03 FIX: Removing a mail office now resets a stations ability
               to collect, store and move mail.
          
          FIX: Car factory had input capacity 0/0t plastics. I'm not
               sure if this affected the game at all, but it's now
               set to 0/300t

          CHANGE: Only one mail office per station allowed

          CHANGE: Reduced overall loading time of vehicles. Trucks,
                  busses and ships now need about 2 seconds to load, 
                  trains need 2 + (number_of_waggons/4) seconds to
                  load. -> If you have a slow computer and Simutrans
                  is near the max CPU power already, the vehicle
                  loading times will grow. Try the -refresh n switch
                  in that case (see readme.txt for details).

13-Aug-03 CHANGE: Reworked new vehicles/new pathfinding
                  (not included in official release).

released Simutrans 0.82.5exp


30-Jul-03 CHANGE: Limited max passenger search depth (route planning)
                  to 300 stations (was 900 formerly)

          FIX: Heightfield loading now works well with artificial
               slopes - no extra support walls are created anymore

29-Jul-03 CHANGE: Lowered passenger rate for higher level buildings

28-Jul-03 FIX: Added missing initialization to slope array

          FIX: Added missing initialization to buildings after
               loading

          FIX: Fixed a 'race condition' in world destruction.
               In rare occasions, there was step() called on cities
               that just underwent destruction.

          CHANGE: lowered passenger rate for higher level buildings

27-Jul-03 NEW: UI button class got a tooltip feature. Added tooltips to
               some buttons that didn't have a meaningful label

          NEW: Passenger statistics for stations (happy, unhappy, no
               route found). Newly created passengers become unhappy
               if their chosen starting station has more than 64 
               passengers per segment already waiting there. Unhappy
               passengers will not use your transport service.
               "No route" in this case means that a passenger came to
               the station, couldn't find a route to his desired 
               destination and went home. 

          Included updated czech translation by Fast Ikarus
          Included updated polish translation by Lukasz Remis
          Included Tomas Kubes' monument

26-Jul-03 FIX: Fixed a crash if the height of a schedule entry
               (waypoint) was changed and the schedule window was
               opened after the height change
          
          FIX: Using the emergency button to remove vehicles now resets
               the rail block counters if the vehicle was a train

          NEW: tooltips for tool selection windows

22-Jul-03 FIX: Screenshot directory is now created with correct 
               access permissions under Linux
          
          FIX: all 16 player color sets are loaded correctly again

          FIX: Fixed two minor bugs in world map creation that caused
               trouble if the water level was changed from default level

20-Jul-03 CHANGE: Continued work on artficial slopes - created menu icons
                  and added slope tools to raise and lower land.

          NEW: Textures for slope support walls

          NEW: Added loading and saving of artificial slopes.

          FIX: Fixed a bug in heightfield loading (wrong filename suffix)
               (Heightfields are still searched in the "save" directory)

19-Jul-03 CHANGE: Continued work on artficial slopes - completed slope
                  table, created a menu and tools

17-Jul-03 CHANGE: Continued work on artficial slopes - painted slope
                  cut walls and implemented first version of slope
                  mapping table.

16-Jul-03 CHANGE: Changed grid heights to sint8. This saves 65k
                  for a standard 256x256 map

          CHANGE: Continued work on artificial slopes - grounds now
                  have up to three images: artificial walls, the ground
                  itself and a way image (this takes additional 128k
                  of memory for a standard 256x256 map)
          
14-Jul-03 NEW: Started to work on artificial slopes

13-Jul-03 FIX: Fixed a bug in AI code that could crash the game if the
               AI was searching for suitable places to build a station
               near the map border

          CHANGE: Private cars speed risen to 60 km/h

12-Jul-03 CHANGE: Enlarged text buffer for convoi info window from 16k
                  to 32k

          CHANGE: Lowered passenger generation at tourist attractions by
                  20%

          CHANGE: Included Tomas Kubes' sawmill in 64x64 image set

          NEW: Added emergency button to vehicle info window - it removes 
               the vehicle from the map. This is useful to get rid of
               stuck vehicles. Be careful: the removed vehicle is gone
               forever! The button is labeled "X".
            
          NEW: AI will now remove vehicles if they have no suitable
               route (anymore) - i.e. due to a bug or player sabotage.

09-Jul-03 FIX: Tourist attractions are valid passenger destinations
               again - formerly this information was lost after
               loading a saved game

          FIX: Fixed bug in tourist attraction buildings own tourist
               generation code ... sometimes they produced insane amounts
               of tourists, followed by periods of no production at all.
               Generation rate is now set to 82 passengers per minute
               for perfect destination coverage (I never reached more than
               30% coverage so far).


07-Jul-03 FIX: Fixed a bug in payment calculation while waiting for a
               given loading level (i.e. wait for 100%).

          CHANGE: During my tests it seems that maintenance costs are
                  much too low. Thus I've doubled all maintenance costs.
                  -> this is also an incentive to use ships. Unlike rails
                  and roads, water doesn't need maintenance :)

          NOTE: Due to the changed payment calculation (intruduced in
                0.82.0exp), passenger transport gives higher revenues
                now. Maybe further adaptions must be made, but the
                new calculation scheme is correct, while the old scheme
                was wrong.

06-Jul-03 FIX: Compressed savegames work reliably now. (See simuconf.tab
               for details)

          CHANGE: Changed income calculation: now on every stop income
                  is calculated for all transported goods, based on the
                  distance since the last stop.

                  Before, it happened that goods that stayed in the 
                  vehicle for several stops, only payed the last hop,
                  insteasd of the full distance.

          CHANGE: Lowered (to 25%) amount of passengers generated at
                  tourist attractions. Now up to 42 passengers are
                  generated per minute (less if the player has not 100%
                  destination coverage).

          Included new or updated  language files:
                  nl.tab - Martyn Minnis <MartynMinnis@Hotmail.com>
                  cz.tab - Kamil "FastIkarus" Ondrák <fastikarus@centrum.cz>
                  fi.tab - Antti Louko <alou@mbnet.fi>
                  pl.tab - Piotr Pietrzak <pyotr@wp.pl>
                  sk.tab - Ján Krnác <Krnac@UZIS.Sk>
                  sv.tab - Julius Grantén <ge_klav@hotmail.com>
                  pt.tab - Eric C. Olivera <ecostaoli@yahoo.com.br>


28-Jun-03 Changes by Volker:

          CHANGE: New path structure - subfolders font, palette, save and
                  screenshot are now used. Starting the new game will
                  create them automatically and move the files there.
                  Be careful: an old version will not find them afterwards.

          NEW: More work on new depot dialog (resizeable etc.)

          NEW: Speedbar for vehicles

          CHANGE: Removed old code - this can only read games saved with
                  the prev. version.

          NEW: Savegames are now zippped by default - loading autodetcts
               the savegame type.
               (Hajo: doesn't work on my system. Default seems to be set to
                binary, not zipped. Forcing zipped mode causes a crash).

          CHANGE: Trees are displayed small in hide-buildings-mode

          NEW: When using commandline "-load <savegame>" the extension
               needs no longer be supplied.

???       CHANGE: industry distribution now generates larger average
                  distances between industries

21-Jun-03 CHANGE: continued work on new vehicles and pathfinding

20-Jun-03 CHANGE: continued work on new vehicles and pathfinding
                  
19-Jun-03 CHANGE: continued work on new vehicles and pathfinding

18-Jun-03 CHANGE: continued work on new vehicles and pathfinding

17-Jun-03 NEW: started to work on a new vehicle class that implements
               a different, more flexible pathfinding method


About 0.82.pre1

This version is really just a preview. Volker told me he will further
improve the depot dialog, but you can already try it a bit. 
Also Volker made a lot of internal changes that can affect stability
but we hope that overall they will help  further development. A few
minor bug fixes are also included.

You can use this version with the 0.81.35exp base package.


14-Jun-03 FIX: fixed a bug in player color tables (green color set
               got wrong values due to some wrong index calculations)
          FIX: fixed ground water level calculation in zoom modes
               with a raster width of less than 64
          FIX: bridges can now be built on electrified track
          CHANGE: included Volkers changes (lots ... most notably the new
                  depot window)

09-Jun-03 CHANGE: support for unzoomeable images (icons ...)
                  adapted MakeObj, display routines and dat files
                  -> if image names in .dat files are prefixed with
                  "> " they will not get zoomed in the game
                  -> IMPORTANT NOTE: this changes makes all previous
                  PAK files incompatible!!!

07-Jun-03 FIX: player color table initialisation wasn't executed
               after starting a new game. Table now gets initialised
               always.

29-May-03 CHANGE: enhanced MakeObj and Simutrans to use 7 shades of
                  player colors (instead of 4). Also there are now 9
                  reserved player colors that can be used for future
                  expansions
          -> This change introduces a slight incompatibility with old
             saved games. The player color settings will most likely
             become reset to color set 0 if loading an old game, some
             times a random other set can be chosen. This means you'll
             most likel have to choose your preferred color set again. 

25-May-03 released 0.81.33exp

24-May-03 FIX: tourist generation now depends on real time (formerly
               it depended on simloops, but simloops vary too much to
               be a reliable measure)
          NEW: factory window now displays the category of produced
               goods if they are categorized goods

15-May-03 NEW: added category for cooled goods (category 4)
          CHANGE: changed calculation of town growth a bit
                  (towns grow slower now)
          CHANGE: zoom level can now be changed by "page up"
                  "page down" keys, too. (Zooming quality is still bad)

11-May-03 NEW: translations are now read from 'text' subdirectory.
               Simutrans can now read up to 40 translation files.
               Thanks to Adam Barclay for this nice addition.

08-May-03 CHANGE: cursor keys now scroll map, too

25-Apr-03 FIX: traced Simutrans for memory leaks and accesses of/to
               unitialized memory

21-Apr-03 CHANGE: optimized some graphics routines (5% faster now)

20-Apr-03 CHANGE: reduced number of malloc()/free() calls for loading
                  trees and buildings (-> games should load a bit faster
                  now)

19-Apr-03 FIX: fixed a crash if the player or AI scheduled a new vehicle

18-Apr-03 FIX: after a schedule is changed, freight to stations that are
               no longer included in the schedule is removed from the
               vehicle
          FIX: saved games in which factories have negative amounts
               of input stored are now repaired (amount set to 0)
               upon loading. Also factories that have more than 15000
               units of input are clipped to 15000 units.

15-Apr-03 FIX: fixed a memory leak in slist_tpl/nodelist

08-Apr-03 FIX: goods distribution didn't consider multiple destinations
               per station properly. This should be fixed now.

05-Apr-03 CHANGE: factories now distribute goods always to that station
                  that currently has the least amount of that good stored
          CHANGE: reduced vehicle waiting time at stations by 15% in
                  average. Unfortunately the waiting times vary strongly.
          CHANGE: improved shores images a bit
          FIX:    tried to fix a bug in the AI code that sometimes created
                  train stations with defective last tiles and then placed
                  trains on those defective tiles with the effect that
                  those trains never could move
                   
29-Mar-03 CHANGE: removed last dependency to ADT package

23-Mar-03 CHANGE: optimized map lookup 

22-Mar-03 CHANGE: optimized goods routing

21-Mar-03 CHANGE: optimized goods routing

20-Mar-03 CHANGE: optimized vehicle routing
          FIX: land vehicles now always find shortest path
          CHANGE: optimized routing of goods and passengers

16-Mar-03 CHANGE: changed ownership (player) management for things
          CHANGE: tried to reduce memory consumption, saved 8 bytes
                  per map square that has no bridge or tunnel
                  -> risen max map size to 768 for theose people with
                     powerful computers.
          FIX: fixed a potential buffer overflow in minivec_tpl
          FIX: fixed a potential buffer overflow in microvec_tpl
          
15-Mar-03 NEW: included Matthews changes for "min size" window gadget 
          NEW: "new map" dialog now gives estimated memory requirement
               for chosen map size
          NEW: included 4 types of variant grass to break the uniformity
               if the landscape

13-Mar-03 FIX: fixed a problem if tunnels went under sqaures with name
               signs or bridges went over them
          FIX: fixed the dat file for TPI Class 26 engine

06-Mar-03 NEW: fixed another bug that caused a program freeze if a 
               private car had gone 2^32 steps (overflow problem)

05-Mar-03 NEW: include Tomas' new forest creation routines 

02-Mar-03 FIX: added some missing entries to german translation
          CHANGE: slightly risen productivity of gas stations

26-Feb-03 CHANGE: finance window now formats money as 1.000,00
          FIX: negative total balance is now displayed in red

23-Feb-03 NEW: number of transported passengers now influences city growth
               (see +X in city info window. +1 means doubled growth, +2 means
               tripled growth rate. Will always be 0 after loading a new game
               and midnights. Needs a while to be recalculated.) 
          NEW: new industry branch 'gasoline production'
          NEW: included Alberto Beccarias updated italian translation
          CHANGE: reenabled display/brightness control. 
                  Range is now -8 ... 0
                  0 being the brightest setting. 0 is default value.
          CHANGE: slightly risen the average distance of industries
          CHANGE: made church a special building
          released inofficial 0.81.23exp

22-Feb-03 NEW: tested -nosound and -nomidi switches on windows

20-Feb-03 NEW: -nosound and -nomidi switches to turn off sound and music

19-Feb-03 FIX: fixed a bug in building level-crossings on non-emtpy squares
          NEW: Materialwholesale now also accepts planks and steel
          NEW: Home market now also accepts planks

17-Feb-03 FIX: fixed a bug in help text viewer that caused a crash if more
               than two <a href=""></a> tags were included in the help text
          FIX: included Alberto Beccaria as italian translator into the
               intro scroller
          FIX: fixed a bug in image zooming if going back to zoom factor 1
          CHANGE: included new help texts by Adam Barclay

???       Stopped developement of zooming feature. Need to wait for
          Volkers new MakeObj with more flags for images (unzoomeable
          images -> currently icons and other menu-images get zoomed, too).
          Very simple (fast) zoom routine is working now, zoom quality
          is bad.

12-Feb-03 NEW: continued to work on zooming feature

11-Feb-03 NEW: continued to work on zooming feature

10-Feb-03 NEW: started to work on zooming feature (use > and < keys to zoom 
               in and out)

09-Feb-03 NEW: added legend to relief map window
          CHANGE: included Tomas Kubes' new english city name syllables
                  in en.tab
          CHANGE: performance tuning
               - changed route_t and vector_tpl index parameters to
                 unsigned, saving one if conditional on each access
          released inofficial 0.81.22exp

08-Feb-03 NEW: player starting money can now be configured in
               simuconf.tab
          NEW: factories now require different amounts of input to produce
               goods. I.e. to produce one ton of iron 2 tons of iron ore
               and 0.5 tons or coal are required
          CHANGE: included Tomas Kubes' new darkening (night mode) code
          FIX: fixed a wrong gridded grass tile that appeared to be
               invisible
          FIX: fixed landscape pointer position calculation in 128x128
               tile mode
          FIX: fixed refresh area for landscape pointer movement in
               128x128 tile mode
          FIX: level crossing only can be build on empty sqaures
               (this prevents a crash if you built them while a vehicle was
               passing this sqaure)
          FIX: fixed input overflow problem in factories

06-Feb-03 CHANGE: more performance tuning
                  - optimized dingliste bei(n) now takes an unsigned
                    parameter, saving one if conditional
                  - changed array_tpl and array2d_tpl paramters to
                    to unsigned, saving one (two) if conditionals on each
                    element access

05-Feb-03 CHANGE: more performance tuning
                  - inlined ist_bruecke und ist_tunnel, added flags
                    to grund_t
                  - changed minivec get() parameter to unsigned, 
                    this saves one if condition
                  - removed one if from karte_vollansicht_t::display_dinge
                  - removed one if from grund_t::display_dinge
                  - removed one if condition and one assignment from 
                    karte_t::sync_step
                  - inlined grund_t::gib_weg, and optimized the routine
                    slightly

04-Feb-03 CHANGE: tried to reduce the memory consumption - reduced by 8 bytes
                  per ground.
          CHANGE: tried to optimize pedestrian routines
          CHANGE: profiling and overall performance tuning

01-Feb-03 FIX: mail office now has player colors
          FIX: overhead lines adapt their shape if tracks are removed
               or added
          FIX: fixed world/map scrolling in bigtile (128) mode
          FIX: fixed bridge icons for night mode with lights
          FIX: scrolling with numeric keypad works again
          FIX: Stadium 2, Layout 1 fixed (created invisible stadiums before)
          NEW: ESC closes all windows (BACKSPACE and DELETE do that too)

28-Jan-03 NEW: there is now a toggleable ground tile grid. Press # to
               switch the grid on/off.

27-Jan-03 NEW: finished buttons for the factory info window to jump to 
               consumers, also added buttons to jump to the workers home
               towns

27-Jan-03 NEW: started to add buttons to the factory info window
               to jump to consumers conveniently

26-Jan-03 NEW: started to work on lights for the night mode
          released inofficial 0.81.20exp

25-Jan-03 FIX: road tunnels again get correct image after loading (was
               broken during migration to new pak files)
          FIX: private cars are no longer visible while passing a tunnel
          FIX: it is not longer possible to build rail stations twice on
               the same square if overhead lines are present
          CHANGE: saved 4 bytes of memory per convoy
          CHANGE: included improved paper mill from Tomas Kubes
          released 0.81.19exp

23-Jan-03 FIX: overhead lines on bridges are now (again) loaded correctly
               from saved games
          FIX: signals on bridges are now laoded correctly from saved games
          CHANGE: city building tool now included in toolbar
          FIX: city building cursor now has proper size
          FIX: removing roads and railroad track now costs 100 Cr

22-Jan-03 FIX: Again included this fix, it had somehow been lost:
          07/13/02 - FIX: fixed a bug that caused an endless loop once
                     a private car had gone more than 2**31 steps
          FIX: fixed overhead line images for diagonal track
          NEW: started work on line (route) management 

20-Jan-03 CHANGE/FIX: also doubled running cost for 'Bennhardt' engines
                  (had been overlooked yesterday)
          NEW: added Colins hong kong ferries
          NEW: added Bens industrial city buildings

19-Jan-03 FIX: fixed dat file entry for "large office building (by Trikky)"
          FIX: sand truck can now be used without trailer
          CHANGE: changed max map size from 576 to 640 (requires ~60MB ram
                  and a whole lot CPU time plus memory bandwidth!)
          CHANGE: changed "Passenger %" for monuments from 150 to 60
          CHANGE: enhanced capacity of all busses by about 5%
          CHANGE: changed capacity of mail waggon from 60 to 120 bags
          CHANGE: changed capacity of mail boat from 140 to 180 bags
          CHANGE: changed capacity of mail trucks to 50 and 60 bags
          CHANGE: doubled running costs of all vehicles. Lowered running
               costs for electric engines slightly.
          CHANGE: rose starting money to 150000 Cr
          CHANGE: newly generated passengers will not use stations
                  where more than 64 passengers per square are already
                  waiting
                  Note: workers nevertheless use crowded stations!
          CHANGE: reduced passenger genration ratio from (building_level+2)
                  to (building_level+4)/2   ->  that is roughly the same
                  as before for low-level buildings, but only have of the
                  former rate for high-level buildings 
          released 0.81.18exp

18-Jan-03 CHANGE: added updated italian translation from Alberto Beccaria
          released 0.81.17exp
          CHANGE: changed grounds to use memory pools (should save about 256K
               main memory for a 256x256 map, and also be faster)
          FIX: Ships can now be sent to depots again
          FIX: fixed a bug in restoring overhead line images when loading
               games that had been saved under a different OS or with a
               different set of PAK files - this also saves 4 bytes
               per saved overhead line tile
   
17-Jan-03 FIX: made some bugfixes for new bigtile mode
          FIX: fixed a bug in overhead line y-offset calculation that
               made overhead tiles on bridge ends move higher and higher
               if the overehad lines were re-built (again)
          NEW: added automatic tile size detection (PAK files reader)
               -> requires at least one full width image in tile set
          NEW: linked lists now allocate nodes from a pool. Slightly faster
               than before and conserves a little bit of memory
          CHANGE: changed toolbar window to work with 128 and 64 pak files
          CHANGE: additional station segments only cost half of a new segment
          CHANGE: new station segments now cost 2400Cr
          
16-Jan-03 TEST: made some tests with 128x128 tiles
          FIX: fixed a bug in MakeObj/PNG file reading
          FIX: fixed a bug in MakeObj image writing

15-Jan-03 NEW: preparation for configureable tile size

14-Jan-03 NEW: tried to implement a more efficient management for
               linked list nodes, try to reuse as many nodes as possible

12-Jan-03 FIX: fixed rail bridge images which seem to have been damaged
               during the conversion to the new multi-pak file approach.
          FIX: fixed a basement image which seems to have been damaged
               during the conversion to the new multi-pak file approach.
               
08-Jan-03 FIX: fixed a bug that sometimes move the city area out of map
               bounds if a town hall was renewed
          FIX: added correfction code to read games with towns that suffer 
               from the above mentioned problem

05-Jan-03 FIX: player cannot rename AI stations anymore
          FIX: VT95 and VT98 can be run as single cars again
          FIX: TPI F7A can be run on non-electrified track again
          FIX: hotkey 'e' used wrong landscape pointer image
          FIX: fixed VT95 images which seem to have been damaged
               during the conversion to the new multi-pak file approach.
          CHANGE: schedule window now displays destination coordinate
                  (Schedules are platform-precise!)

04-Jan-03 CHANGE: bus stops now can be placed even if there are 
                  pedestrians there
          NEW: added monument inscriptions to en.tab
          FIX: fixed plastic waggon images (player color) which 
               seem to have been damaged during the conversion to the
               new multi-pak file approach.
          FIX: overhead powerlines on bridge ramps on even ground have
               correct height offsets now
          FIX: overhead powerlines in tunnels are no longer visible
          FIX: removed extraneous second 'dock' button from ship tools menu

03-Jan-03 CHANGE: tried to reduce jitter in vehicle movement
          CHANGE: tried to optimize the updates of trees, buildings etc.
                  overall this should help to run larger games, but I
                  don't know how much improvement it will bring.
          FIX: fixed steel truck and steel trailer images which 
               seem to have been damaged during the conversion to the
               new multi-pak file approach.

01-Jan-03 FIX: stations can now be built on electrified track, too
          FIX: Bennhardt BR140 now only runs on electrified track
          FIX: fixed a bug in AI code that tried to use electric engines
               on non-electrified track
          FIX: added missing STADIUM1 entry to en.tab and de.tab
          FIX: fixed mixed lines for 'Lade Spiel' in de.tab

22-Dec-02 CHANGE: lowered passenger % of townhalls. Now:
                  75, 75*4, 75*4, 75*4
          CHANGE: added checks for two potential crashes in searching
                  for locations of monuments and town halls
          CHANGE: repaired images for paper waggon, paper truck, paper trailer
                  which seem to have been damaged during the conversion to the
                  new multi-pak file approach.
          FIX: added missing wav files (lost since conversion ...)
          released inofficial 0.81.12exp
                  
21-Dec-02 CHANGE: more work for overhead powerlines

20-Dec-02 CHANGE: more work for overhead powerlines

15-Dec-02 CHANGE: more work for overhead powerlines

12-Dec-02 NEW: started work on overhead powerlines for electrified track

11-Dec-02 NEW: non-station buildings can be hidden from display by pressing
               " (Shift-2 on a german keyboard). This is useful if large
               buildings block sight to something important.
          NEW: started to work on electrified, monorail and maglev track types
               electrified tracks work already, yet they still look the same
               as ordinary tracks

07-Dec-02 CHANGE: changed capacities: 
                  Furniture waggon:  20 crates
                  Furniture truck:   16 crates
                  Furniture trailer: 18 crates
          NEW: Option for semaphor signals
          released inofficial 0.81.11exp

???       released 0.81.10exp

30-Nov-02 CHANGE: improved/reworked H-Trans coal truck image
          FIX: fixed .dat file for furniture waggon

17-Nov-02 FIX: fixed some bugs in routing of goods (broken during changes
               for categorized goods)
          BUG: Station list filter for incoming/outgoing goods might work
               differently than before. I never used it, so my change is just
               a guess
          released inofficial 0.81.9exp

16-Nov-02 NEW: enlarged schedule window
          CHANGE: goods are now grouped into unique goods, parcel service and 
                  bulk goods. Vehicles that transport goods of the categories
                  parcel and bulk goods can now transport _any_ good of those
                  categories. I.e. a coal car can now also be used to
                  transport iron ore.
                  
                  Parcel service: Books, Furniture
                  Bulk goods:     Sand, Stone, Coal, Iron Ore

                  Due to this change the savegame format became incompatible.
                  Sorry, no conversion is possible, even some of the pak files
                  now have a different structure.
          CHANGE: enlarged text buffer for vehicle information window to
                  reduce the danger of buffer overruns
 
26-Oct-02 FIX: After schedule changes, no-longer existing routes are
               checked and waiting goods are cleaned up. This should
               fix the long-standing bug that passegeners and goods
               waited endlessly after a route was shut down and/or
               replaced by another route.
               This cleanup action is pretty time consuming. In games
               with many stations and vehicles, running on slow computers
               this will take several seconds to complete.
          released inofficial 0.81.8exp

20-Oct-02 FIX: Oil rigs now accept passengers and mail (again, was broken
               after 0.81.0)
          released inofficial 0.81.7exp

19-Oct-02 FIX: fixed a bug in loading saved games (height information
               was accessed before actually loaded)
          FIX: fixed a bug in AI bridge testing routines (AI tried to build
               bridges in unsuitable locations and ended up with broken
               routes)

12-Oct-02 FIX: random pedestrians can now actually be turned on and off
               in simuconf.tab
          FIX: fixed a bug which caused convois not being saved after
               visiting a depot without disassembling the convoi
          FIX: maintenance costs are now displayed in red
          CHANGE: relief map is now zoomable: right click into map to
                  toggle zoom/unzoomed display
          released inofficial 0.81.6exp

06-Oct-02 CHANGE: tried to make relief map zoomeable

06-Oct-02 FIX: updated/fixed more images/animations
          FIX: tried to fix the problem that some vehicles were not 
               immediately visible after loading.
          FIX: fixed the problem of vehicles stored in depots being
               invisible after loading.    
          released inofficial 0.81.5exp

05-Oct-02 FIX: updated/fixed more images
          FIX: italian translation is available again
          FIX: added Bennhardt train engines again
          CHANGE: message windows now appear above the mouse pointer and
                  don't obstruct the players actions anymore.
          CHANGE: depot windows open in the top-left corner of the screen now.
                   
04-Oct-02 FIX: fixed many mistakes in new config files and image set
          FIX: maintenance costs are now displayed correctly in finance
               window
          FIX: fixed a translation mistake in en.tab

03-Oct-02 FIX: fixed a bug in tree creation that was introduced with the new
               configuration system.
          FIX: fixed a bug in loading tunnel descriptions

20-Sep-02 CHANGE: Starting money again set to 100.000Cr
          CHANGE: made info windows for pedestrians and private cars
                  configureable in simuconf.tab

29-Sep-02 CHANGE: changed passenger generation in cities (steps more
                  frequently, but only every 8th row)

28-Sep-02 CHANGE: continued code cleanup
                  -> all 'builder' classes now located in 'bauer'
                  -> all 'searcher' classes now located in 'sucher'

26-Sep-02 CHANGE: continued code cleanup

25-Sep-02 MERGE: included Volkers changes to the config/object system
          CHANGE: started to move factory classes into a separate package
          CHANGE: did some code cleanup in simgraph16.c

22-Sep-02 NEW: station detail info now displays factory coordinates, too
          NEW: water (ground) animation can now be turned off in
               simuconf.tab (i.e. if you have a slow CPU and want to save 
               some computation time for other tasks)
               They serve some useful purpose, though: the more you see 
               around a spot, the better the place to build a station there.
          NEW: player/AI colors can now be configured by editing the file
               "special.pal" which is a text file containing 64 RGB colors
               in decimal values
          FIX: loading pedestrians works now
          FIX: fixed some problems in day&night mode:
               1) vehicles/player properties darken now during nights
               2) window title bars don't darken during nights
          CLEAN: did some more code cleanup in simgraph16.c
          CHANGE: interrupt routine now updates display first and then
                  calculates next frame - i hope this will reduce the 
                  jitter in vehicle movement
          CHANGE: changed sync_step routine to be (hopefully) faster and
                  more robust against the most common coding mistakes
                  (deleting/removing a sync object while a sync step is
                  running).
          CHANGE: tombstone arrays are now configureable in simuconf.tab

21-Sep-02 NEW: schedules are no longer lost if a vehicle enters
               a depot

20-Sep-02 FIX: repaired broken AI road/railroad building routines
          TIME: 2:00h

19-Sep-02 MERGE: continued merge of sources
          NEW:   station detail info now includes connected industries
          CLEAN: cleanup in simgraph16.h and simgraph16.c
          TIME: 1:30h

18-Sep-02 MERGE: merged Volkers changes for new config system
          TIME: 2:00h

05-Sep-02 NEW: included italian translation from Alberto Beccaria
          NEW: built preview for BeOS
          CHANGE: updated thanks.txt
          TIME: 1:30h

02-Sep-02 CHANGE: changed layout of the ship depot. It looks a bit better
                  than before, but some ships are just too oversized - why
                  don't the artists follow the size guidelines?
          CHANGE: some trailers now fit to all trucks
          CHANGE: changed price, weight and running cost of the double
                  decker busses
          FIX: fixed alignment of some ships
          TIME: 2:00h

01-Sep-02 FIX: bus stops are recolorable again
          FIX: changed and added some entries to de.tab
          FIX: changed and added some entries to en.tab
          FIX: included hu.tab fix from MrTLee
          CHANGE: tried to improve bus stop images
          CHANGE: changed sand waggon to be recolorable
          CHANGE: changed stone waggon to be recolorable
          TIME: 2:30h

31-Aug-02 CHANGE: raised starting money to 100000 Cr
          CHANGE: if a help text can't be found, the help text frame
                  error now includes the filename of the missing file
          CHANGE: drive in cinema is now built at 600 inhabitants
          CHANGE: lowered productivity of coal mines and iron ore
                  mines by 10%
          CHANGE: all of Bennhardts vehicles have reasonable prices and
                  running costs
          TIME: 1:30h

30-Aug-02 CHANGE: changed tombstone implementation for stations
                  to a more efficient variant
          CHANGE: removed brighntess and contrast control from the 
                  display options dialog because they didn't work anymore 
                  since the transition to the 16 bit graphics code and
                  those features most likely won't be implemented again.
          CHANGE: declared savegames previous to 0.80.10 incompatible
                  because some vehicles couldn't be restored from such
                  savegames properly.
          FIX: oil rigs don't raise the players maintenance costs anymore
          NEW: added missing stadium images
          TIME: 1:00h

29-Aug-02 CHANGE: included updated translations
          CHANGE: changed prices for "Bennhardt" train engines
          CHANGE: changed tombstone implementation for convois and
                  railblocks to a more efficient variant
          FIX: fixed a crash if the vehicle list was left open and
               displaying a vehicle that enters a depot
          FIX: fixed stadium images for layout A
          FIX: fixed non-matching entries for Tigress I in language files
               and vehikel.tab, also removed an unused double entry for 
               the Tigress I from vehikel.tab
          TIME: 3:00h

07/20/02 - FIX: fixed 2 wrong entries in gebaeude.tab
         - FIX: included Dennis' correction for en.tab
         TIME: 1:00h

07/14/02 - FIX: sped up buying vehicles in depots
         TIME: 1:00h

07/13/02 - FIX: fixed a bug that caused an endless loop once a private car
                had gone more than 2**31 steps
         TIME: 1:00h

07/11/02 - FIX: factory descriptions are restoired after loading. This fixes
                a crash after loading saved games in 0.80.10a
         - FIX: (hopefully) oil rigs now accept passengers
         TIME: 1:00h

07/08/02 - FIX: heightfield loading now loads other files than 
                "heightfield.ppm", too
         - FIX: confirming the heightfield file selector box with
                an invalid name no longer crashes the game.
         - FIX: better error messages for heightfield loading, errors
                no longer quit the program.
         - FIX: colors of the factories in the map window are now again
                the color configured in industry.tab
         TIME: 1:00h

07/07/02 - NEW: included 8 new train images painted by Benjamin "Bennhardt"
                Siegel
         - NEW: included the alignment-corrected trucks from Jens "JET" Emmel
         - NEW: included a new ship from Jens "JET" Emmel
         - FIX: bying a trailer or waggon without having an engine no longer
                crashes the game
         - KNOWN PROBLEMS:
             - ship depot display is messed up pretty much
             - all of Bennhardts engines have same price and running cost,
               sensible values will be discussed on the mailing list and
               included
         - released inofficial 0.80.10-16exp
         TIME: 2:00h

07/06/02 - NEW: finished heightfield loading
         - NEW: included the improved trees from Tomas Kubes (sorry Tomas I 
                had to modify them slightly).
         - CHANGE: changed the toolbar icons
         TIME: 4:00h

07/05/02 - NEW: option to load heightfield (a PPM image where the brightness
                of a pixel determines the height fo that spot on the map)
         TIME: 1:30h

07/01/02 - FIX: fixed a bug in Markus' patch for the depot window - when
                buying a new vehicle the cost of a lot of different vehicles
                was also withdrawn from the players account.
         - released inofficial 0.80.9a-16exp

06/30/02 - FIX: maintenance cost is now actually subtracted from players 
                account every month.
         - FIX: fixed a wrong entry in gebaeude.tab
         - MERGE: included Owen Rudges Win32 midi playing routines
         - released inofficial 0.80.9-16exp

06/29/02 - NEW: maintenance costs for roads, railroads and buildings:
                - road/railroad:  5.00 Cr/month
                - each building: 50.00 Cr/month
                (There is a small bug here: ATM oil rigs belong to the player,
                and thus the player has to pay maintenance costs for them).

         - MERGE: merged Markus patch to display only matching carriages
                  in the depot window
         TIME: 1:30h

06/23/02 - NEW: List of all schedules (also saved 4 bytes memory per schedule)
         - FIX: savegame frame shows local time instead of GMT
         - CHANGE: map frame now has a minumum sizeof 96x64 pixels
         TIME: 0:30h

06/15/02 - CHANGE: sped up graphics by another 2%
         - released inofficial 0.80.8-16exp
         TIME: 3:00h

06/14/02 - FIX: industries have several consumers again (Volker)
         - FIX: building a loading bay on a cities road sets the roads owner
                correctly now.
         - NEW: tunnels and bridges are displayed in the map (Volker)
         TIME: 1:00h

06/13/02 - FIX: window resizing bugs fixed
         TIME: 1:00h

06/09/02 - MERGE: merged Markus changes
                  - station list now includes icons
         - MERGE: merged Volkers changes
                  - internal changes to train and truck stations to 
                    streamline the class hierarchy
                  - more and more strict tests for building roads/railroads
                  - new industry distribution. Can consider weights, given by
                    industry.tab, to prefer (or not) certain industry
                    branches.
                  - existing screenshots are preserved, new screenshots
                    always get high enough numbers.
                  - changed load/save dialog
                    * Buttons for deleting files (take care!)
                    * Displays save date and time
                    (Just a proposal - test it, and let us know if you like it 
                     or not)
                  - schedules: depots listed as depot and no longer as waypoint
         - TEST: tested Owens win32 media routines, but couldn't get them
                 to work with my compiler - excluded in this release.
         - CHANGE: the Linux version now tries to open 640x480, 800x600
                   1024x768 and 1280x1024 in fullscreen. Use the -screensize
                   option to force a windowed mode by using a different 
                   resolution.
         - released inofficial 0.80.7-16exp
         TIME: 4:00h

06/08/02 - NEW: map window remembers size and uses old size when openend again
         - NEW: painted animated diesel smoke and steam (only used with 
                vehicles currently)
         - CHANGE: smoke type is now read from current vehikel.tab instead
                   from saved game.
         - CHANGE: included Volkers changes to allow processing an
                   unlimited number of images with makepak16
         TIME: 1:00h

06/07/02 - CHANGE: frame sync smoke is now a 5 frame animation
         TIME: 0:30h

06/05/02 - CHANGE: changed income calculation for transports to:
                   distance * amount * price * (pow(0.97, distance)+0.4)/2.0
                   this is nearly linear for long distances and a bit 
                   better than linear for short distances.
         - CHANGE: vehicles only produce smoke while heavily accelerating
         TIME: 1:00h

06/02/02 - FIX: clicking a post office opens the station window again
         - FIX: fixed a memory leak during map destruction.
         TIME: 2:30h

06/01/02 - MERGE: merged Markus' changes for resizeable windows
         - CHANGE: adapeted Markus' changes to fit better into Simutrans
         TIME: 1:30h

05/30/02 - NEW: help texts for relief map and finance window added
         - NEW: industry colors are now read from industry.tab
         - NEW: support for hyperlinks in help texts
         - CHANGE: better error messages for wrong entries in industry.tab
         TIME: 3:00h

05/29/02 - FIX: fixed "wait for xxx%" entry in en.tab so that the % number
                is always clearly visible in the scheule dialog
         - NEW: preparation for factory color configuration in
                industry.tab
         TIME: 1:00h

05/25/02 - CHANGE: restructured system dependant code - preparation to
                   build system dependant media subsystems. Started to
                   include Owen Rudges native win32 MIDI playing code.
         TIME: 1:00h

05/19/02 - FIX: Player color (object recoloring) feature works again.
         - CHANGE: removed colormap functions from HiColor system
                   wrappers
         - CHANGE: buildings basements now use mempools
         - NEW: (Hellmade) included screenshot facility for 16 bit graphics 
                engine 
         - MERGE: Merged Volkers changes (Filter-Dialogs, many small patches)
         - released inofficial 0.80.6-16exp
         TIME: 3:00h

05/18/02 - FIX: (Hellmade) Double headed trains will be correctly
                disassembled in depots
         - FIX: (Hellmade) Buying more than 16 waggons for a train
                moves the additionals waggons to the pool section
         TIME: 3:30h

05/09/02 - NEW: merged Volkers changes
         - FIX: fixed a clipping bug for colored images in the 16 bit
                graphics engine.
         - CHANGE: info windows for buildings now carry title "Building"
                   again.
         TIME: 1:30h

04/20/02 - NEW: integration of Flors new image set
         - FIX: fixed some display problems of the toolbar
         - FIX: building and removing tunnels costs some money now
         - FIX: building and removing bridges costs some money now
         - FIX: city building tool places townhall on the right spot
                now
         - FIX: industries productivity now varies (the range parameter
                from industry.tab is no longer ignored)
         - CHANGE: cementmill now requires stone
         - CHANGE: productivity/range entries in industry.tab updated
         - CHANGE: changed night to a more blueish color
         released inofficial 0.80.4-16exp
         TIME: 2:30h

04/18/02 - FIX: fixed a buffer overflow in simgraph16.c (dirty tiles list)
         - NEW: extended error checking capabilities for memory management
                -> can now detect overlows
         TIME: 1:30h

04/17/02 - FIX: F1 key now triggers general help in 16 bit version, too
         - NEW: internationalizeable help texts
         TIME: 0:45h

04/13/02 - CHANGE: "random map" buttons now generates a real random
                   sequence of maps
         - FIX: tried to fix a bug that sometimes prevented the AI from 
                building tunnels (the AI ended up with a broken route)
         - FIX: fixed a crash if a highest level bulding was build
                (crash only occured in 0.80.2-16)
         TIME: 1:00h

04/11/02 - FIX: fixed a bug in player-triggered city building
         TIME: 0:30h

04/10/02 - NEW: player can found new cities - hotkey 'C'
         - CHANGE: hotkey for vehicle list changed from 'C' to 'V'
         TIME: 0:30h

04/07/02 - CHANGE: converted dirty tile list to bitfield. This saves some KB
                   of memory.
         - FIX: fixed a potential access to an uninitialized route element
         - FIX: tried to fix the road vehicle lockup problem on level 
                crossings
         TIME: 1:00h

04/06/02 - FIX: fixed some untranslated messages in bridge building
         - FIX: fixed some wrong entries in en.tab and de.tab
         - CHANGE: updated thanks.txt file
         TIME: 0:30h

04/04/02 - CHANGE: changed night darkness to be less dark
         - FIX: fixed a crash if land was raised from under a ship
         - FIX: fixed a crash if a stop outside the map was added or 
                inserted into a schedule
         TIME: 0:30h

04/03/02 - FIX: fixed a bug in the 16 bit graphcis code that caused a crash
                when a player-colored image with an invalid number was
                displayed.
         TIME: 0:30h

03/28/02 - CHANGE: merged Volkers 2nd update to house building
         - Release unofficial 0.80.2_16
         TIME: 1:30h

03/27/02 - CHANGE: 16 bit graphics routines about 40% faster than before
         - FIX:    fixed some typos in help texts
         TIME: 1:30h

03/26/02 - CHANGE: exchanged . and , keys for time lapse control
         - CHANGE: tried to optimize 16 bit graphics engine
         TIME: 1:30h

03/24/02 - FIX: pressing shift doesn't trigger keyboard help anymore
         - NEW: merged Volkers changes to house building
         - NEW: merged Markus changes to station list window
         TIME: 0:30h

03/09/02 - FIX: raising/lowering land at the border of the map no longer
                crashes.
         TIME: 0:30h

02/23/02 - NEW: included help texts for loading and saving games.
         TIME: 0:30h

02/22/02 - FIX: fixed a crash if a railroad track or road was build
                outside the map.
         TIME: 0:30h
               
02/17/02 - FIX: fixed a crash if a railroad track was built at the
                very edge of the map
         - CHANGE: news ticker is only displayed if there are news
         TIME: 0:30h

02/16/02 - NEW: added more help texts: language, options
         - FIX: fixed a bug in the flowtext display component
         TIME: 1:00h

02/15/02 - FIX: fixed the 'cloud offset overflow' problem
         - NEW: added more help texts: depot help
         TIME: 1:00h

02/13/02 - NEW: added more help texts
         TIME: 1:00h

02/11/02 - NEW: working on in-game helpsystem, added more help texts
         TIME: 1:00h

02/10/02 - NEW: working on in-game helpsystem, added more help texts
         TIME: 1:00h

02/09/02 - NEW: working on in-game help system
         TIME: 1:30h

02/07/02 - NEW: started working on in-game help system
         TIME: 1:30h

02/06/02 - CHANGE: made some changes for Markus Weber
         TIME: 0:30h

01/28/02 - FIX: Fixed a crash when a vehicle was sold. This bug was
                introduced during yesterdays changes to convoi routing.
         - FIX: Fixed a crash if vehicle.tab did not contain a vehicle
                that was required by depot.tab
         TIME: 1:00h

01/27/02 - CHANGE: Made convoi route preparation also an 
                   asynchroneous task.
         - CHANGE: Because asynchroneaou tasks take longer to execute, 
                   vehicles stop longer at stations than before.
                   To rebalance the game, the productivity of all industries 
                   was reduced by 10%.
         - CHANGE: Due to the new asynchroneous parts in convoi setup
                   vehicles may remain much longer in a inconsistent state.
                   That problem is solved now.
         - NEW: released unofficial version 0.80.pre3
         TIME: 2:00h

01/26/02 - CHANGE: Increased safety buffer in convoi info display.
         - CHANGE: Increased safety buffer in station info display.
         - CHANGE: Made convoi setup an asynchroneous task.
         - CHANGE: Halved minimum accelleration.
         - CHANGE: Reduced uphill speed.
         - CHANGE: Reduced speed in curves.
         - CHANGE: Fiddled with frame time calculation to get smoother
                   vehicle movement.
         TIME: 3:30h

01/24/02 - FIX: Fixed some bugs in asynchroneous vehicle loading code.
                Overall asynchroneous loading seems to allow to use quite
                some more vehicles than before. 
         - FIX: Improved responsiveness to user input under high load. 
         TIME: 2:00h

01/23/02 - FIX: Debugging
         - CHANGE: Made vehicle loading an asynchroneous task.
         - CHANGE: Passengers and goods transfer at most 30 times from
                   one transport to another to reach their destination.
         TIME: 2:00h

01/20/02 - CHANGE: Saved 8k memory per convoi.
         - CHANGE: Saved 8k memory per station.
         - CHANGE: Included a change from Markus Weber to display summary
                   information in station info windows.
         - CHANGE: Changed layout of vehicle list to display vehicle
                   with 3 figures (100+) better.
         - CHANGE: Using memory pools for water grounds - this saves 4 bytes
                   per water sqaure and speeds up allocation and deallocation
                   of water grounds. It also helps to reduce memory 
                   fragmentation.
         - FIX: Fixed a possible buffer overflow in halt list.
         - FIX: Included a fix for setting the correct water level during
                loading a game.
         - NEW: released unofficial version 0.80.pre2
         TIME: 3:00h

01/19/02 - FIX: Fixed a bug in clipped 16 bit image display routines
         - FIX: Fixed a bug in SDL sound routines that caused a crash
                in the windows version
         - FIX: Fixed a possible buffer overlow in route calculation of 
                goods and passengers.
         - NEW: Fullscreen mode for Linux/SDL in 640x480, 800x600, 1024x768
                and 1280x1024 (The Windows version always offered those as
                fullscreen modes)
         TIME: 3:00h

01/17/02 - NEW: RGB555 <-> RGB565 transform for 16 bit engine finished
         - NEW: optimized 16 bit engine
         TIME: 3:00h

01/16/02 - FIX: Fixed a bug that crashed Simutrans if the player managed to 
                delete/destroy a private car.
         - NEW: Makepak16 reads 8/16/24 bit PNG files now.
         TIME: 1:00h

01/13/02 - MERGE: Andreas Rövers sound routines for SDL
         - TEST: Tested Simutrans with SDL 1.2
         - NEW: updated 16 bit graphics routines (not complete yet)
         TIME: 4:00h

01/12/02 - NEW: -scenario <directory> option to make Simutrans read 
                config files and daten.pak from that directory.
         TIME: 3:00h

01/09/02 - MERGE: included Markus' resizer component and the changes to the 
                  vehicle list 
                  -> Station list window and vehicle list window can be 
                     vertically resized now
         - CHANGE: changed look of resizer component to better fit the other 
                   gui components of Simutrans
         - NEW: released unofficial version 0.80.pre1
         TIME: 1:00h

01/08/02 - FIX: automated test suite works again (was broken since Volkers
                changes during summer/autumn last year).
         - FIX: cities generate passengers to 2x2 squares sized tourist
                attractions, too.
         - CHANGE: using memory pools for trees - this saves 4 bytes per
                   tree and speeds up allocation and deallocation of tress.
                   It also helps to reduce memory fragmentation.
         - CHANGE: did some finetuning to make the framerate more constant
         - MERGE: include Markus' new station list window and button
         TIME: 5:00h

01/02/02 - MERGE: merged Volkers changes
                  - Shift-M opens marker UI 
                  - Removing a bus stop from a sqaure with a sidewalk
                    keeps the sidewalk
                  - Bugfixes for bridges and tunnels
                  - Code cleanups 
         - CHANGE: changed layout of the "options" dialog
         - CHANGE: changed layout of the "new world" dialog
         TIME: 2:30h

12/28/01 - CHANGE: Reverted some changes made by Volker: 
                   - city roads belong to nobody again
                   - a sqaure that the player builds a road or railroad on
                     and that had no former owner belongs to the player again
                   -> That fixes the 'bus station on city roads' problem
         - FIX: Included a bugfix from Volker to make bridges work again.
                It seems to work.
         - FIX: Added missing screen refresh after removing a long bridge
         TIME: 1:30h

12/20/01 - FIX: Trains can now be stopped while passing signals without bad
                effects, like corrupted signals and disrupted trains.
         - CHANGE: Reduced productivity of coal mines and oil fields.
         - Released unofficial version 0.79.11exp
         TIME: 2:00h

12/19/01 - CHANGE: Removed 'passenger X%' from industry info window
         - MERGE: Merged Volkers changes -> Bridges no longer need 'hills'
                  to start/end but can be built on flat ground, too.
         - FIX: Goods with "error in routing", that means they cannot reach
                their destination any longer, are now removed from stations
                after a while. They are also removed from vehicles upon the
                next scheduled stop.
         - FIX: Fixed a bug in the AI code that sometimes prohibited the use
                of tunnels in the AIs routes                                
         - FIX: Partly loaded vehicles display the loaded/empty cars now.
         - NEW: Option in the schedule dialog to set a requireed loading grade.
                Vehicles can now wait for a minimum amount of loaded goods
                before departing.
         TIME: 6:30h
 
12/15/01 - MERGE: included Markus changes to world creation UI and convoi UI
         - CHANGE: Changed layout and text of the full load option in 
                   convoi info window.
         TIME: 1:10h

12/15/01 - CHANGE: prepared Makepak 1.07 for release
         TIME: 0:30h

12/12/01 - FIX: I got two savegames from beta testers that had an animation
                count of 0 for some factory buildings. That count should
                never be 0, even a non-animated building has a least one 
                frame (image) to display. During loading of a game the
                count gets now set to 1, but how could there a 0 be saved?
                The 0 caused a crash after loading the game, so this 'fix'
                at least allows to load the saved games again.
         - FIX: fixed a crash after clicking the bridgebuilding tool twice
         - FIX: fixed a small display problem in the news ticker line
         - CHANGE: Changed lower bound of frame time to 28ms, this yields
                   a frame rate of 35FPS which should be smooth display.
         - Released unofficial version 0.79.9exp
         TIME: 1:30h

12/09/01 - FIX: Passenger generation in cities is now bound to real time.
                I had wrongly assumed that the simulation loop is running
                always at the same speed but it varies too much. Now,
                passenger generation tends to be lower in the average case
                but it is constant regardless of your computers speed.
         - FIX: Volkers changes prevented the AI to build tunnels and 
                bridges. I've repaired the AI's road/railroad building
                routines. I hope it works all ok again. 
         - FIX: Newly built stations display world view camera, too.
         - CHANGE: Changed layout in station info and convoi info windows.
         - CHANGE: Optimized month change in city class.
         - CHANGE: Optimized routing of goods.
         - CHANGE: Optimized routing of vehicles.
         - CHANGE: Tried to reduce the jitter in frame rate. Frame time
                   has now a lower bound of 30ms and a higher bound of 124ms.
                   Interrupt checks were added to ensure a jitter of less than
                   5 ms in frame display; I've tested this on my system, slower
                   systems might still have a larger jitter. (Timer precision
                   is 5 ms, that means, the current jitter is below timer 
                   precision, more precision is impossible with this timer).
         - CHANGE: Waiting goods and passengers at station search a new route
                   now and then. This is useful if a new shorter connection is 
                   build and the waiting goods/passengers are supposed to use 
                   it.
         - Released unofficial 0.79.8exp
         TIME: 7:00h

12/08/01 - CHANGE: Included Volkers changes
                   - CHANGE: Signals can now be build near crossings
                   - FIX: A few fixes to bridgebuilding
                   - FIX: Unmasked ribis for ways were determined wrong
         - CHANGE: Tried to optimize Simutrans further but gained less than
                   1% overall
         - CHANGE: Changed news ticker to store only 4 messages instead of 10               
         - CHANGE: Increased capacity of furniture truck to 8 crates
                   Increased capacity of furniture trailer to 10 crates
         - NEW: Included Jens 'JET wood trailer'
         - FIX: Changed some code in station info display to fix a buffer
                overflow. 
         - FIX: Changed some code in vehicle info display to fix a buffer
                overflow. 
         TIME: 2:00h

12/05/01 - CHANGE: changed some return types from value types to 
                   references. This seems to speed up execution.
         TIME: 1:00h

12/01/01 - FIX: oil rigs can no longer be removed using the 'raise land'
                tool.
         - FIX: oil rigs display a station info window again.
         - FIX: Fixed a bug that caused some landscape pointers to be 
                displayed at wrong height
         - FIX: Fixed a bug that caused landscape pointers to be 
                displayed twice
         - NEW: 'Game paused' splash message
         - NEW: Included Flor Wauters furniture trailer
         - CHANGE: reduced memory consumption of each water sqaure by 4 bytes.
         - CHANGE: optimized screen refresh, gained about 10% speedup if
                   many vehicles are visible
         TIME: 5:00h

11/29/01 - FIX: if the remover tool is applied to water, the water itself
                no longer gets removed
         - CHANGE: changed tree class to reduce the amount of memory modified
                   per step
         TIME: 1:30h
               
11/28/01 - CHANGE: made mountain height and landscape roughness
                   parametrizeable for Markus' new 'new world' dialog 
         TIME: 0:45h

11/26/01 - FIX: fixed a crash if the bus station building tool was selected 
         - FIX: included a fix from Volker: if a signals was to near to a
                crossing the rail block was not correctly traversed. Volkers
                change should fix that problem.
         - FIX: fixed a potential crash during map creation (placing power-
                connector for power plant sometimes failed. This is not fixed 
                really, problematic power plants will just get no power 
                connector. I'll change that once powerlines actually work )
         - CHANGE: "Vehicle XY has no route" is only displayed for vehicles
                   which the player actually owns.
         - CHANGE: Factory info window now carries the name of the industry
                   as title.
         - PROBLEM: with the change from static to animated buildings the 
                    title of most building info windows changed from 
                    'building' to 'house'.
         - Released unofficial 0.79.7exp
         TIME: 1:30h

11/25/01 - CHANGE: only waggons inside of a stations will be loaded/unloaded
         - CHANGE: loading/unloading has a base duration (32) and an additional 
                   duration for each waggon (8)
         - CHANGE: internal change: replaced many old 2d coordinates in
                   paramterlists with 3d coordinates.
         - CHANGE: Added "Station XY is crowded" message to the newsticker
         - CHANGE: Factories don't check stations for good distribution
                   as often. This should speed up the program.
         - FIX: rail block is marked 'left' if a train enters a depot 
         - FIX: added missing screen refresh when saving a game per name
         - FIX: fixed a bug in blockmanger, which could cause and endless
                loop during world destruction
         - FIX: fixed several bugs in handle_as_id_tpl which caused crashes
         - FIX: fixed a crash when a vehicle with freight was sent to a depot
                and re-assigned to another convoi.
         - Released unofficial 0.79.6exp
         TIME: 8:00h

11/24/01 - NEW: minivec template, a very small vector type.
         - CHANGE: Reworked plan sqaures to use minivec type instead of a 
                   list type to store grounds. This saves at least 512K
                   memory for a standard 256x256 sqaures map. In addition
                   accesses should be faster now.
         - CHANGE: Removed an unused variable from ground class. It seems
                   it was introduced by Volkers changes but actually not
                   used. This saves 512K for a standard 256x256 sqaure map.
         - CHANGE: Reordered variables in ground class, which saved another
                   4 bytes per ground. Why is the compiler too stupid to do
                   this automatically?
         - CHANGE: Squeezed 4 bytes from every object of the thing class
                   hierarchy (most numerous objects in Simutrans). This
                   also shrinks the saved games.
         - CHANGE: Linked list templates now use a global list of free nodes.
                   This shrinks each list object by 4 bytes, and it speeds
                   up node allocation.  
         - CHANGE: Depot window class and depot data class are now separated.
         - CHANGE: Code cleanup, reduced interdependencies of header files
         - CHANGE: Improved look of info windows
         - NEW: experimental support for multi-headed engines
         TIME: 6:15h


11/22/01 - CHANGE: Removed superclass infowin_t from weg_t. It was
                   not needed and just consumed memory.
         - CHANGE: Removed superclass infowin_t from ding_t. It was
                   not needed and just consumed memory.
         - NEW: Thing info window adapter class
         - CHANGE: Started to separate depot gui and depot model classes
         TIME: 2:10h


11/20/01 - NEW: Ground info window adapter class
         - CHANGE: Changed class hiereachy of ground classes to be 
                   independant from info window class
                   -> this allows inlining of some functions and thus
                      speeds up some things (3% speedup overall).
         - FIX: Info windows display correct ground name again, this
                feature was lost during Volkers changes.
         - FIX: Fixed a bug that crashed Simutrans if a ground was removed
                while the info window for this ground was still open. This
                also fixes a similar bug for things that are removed.
         TIME: 1:10h

11/18/01 - NEW: New engine: Tigress I (1144-1151)
         - CHANGE: Code cleanup
         - CHANGE: Trees are now generatd according to their preferred
                   placement on new maps. Some prefer lower terrain, some
                   prefer the upper regions.
         - CHANGE: Trees generate up to three new trees during their lifetime.
                   Formerly depending on the system Simutrans was running on
                   sometimes much too many new trees were generated.
         - NEW: news ticker
         - CHANGE: Some smaller optimizations, avoided function calls,
                   about 4% speedup in total for games with many vehicles
         TIME: 6:30h

11/17/01 - CHANGE: Merged Andreas' changes:
                   - If a new schedule is set, only those goods are
                     removed from a vehicle which cannot reach their
                     destination anymore. Formerly all goods were removed.
         - CHANGE: Merged Markus' changes:
                   - Ok und Cancel buttons for savegame file chooser. The
                     new savegame chooser looks really cool :)
         - CHANGE: Merged Volkers changes:
                   - fixed a small flaw in hashtable datatype
                   - new class to load *.tab files, this loader should become 
                     standard in future for all *.tab files
                   - new integer hashtable template
                   - new bridgebuilder class which is responsible for
                     building and removing bridges
                   - New bridge types, new bridge building menu
                   - Changes to pointer checking and memory management
         - CHANGE: Added comments for all methods of the convoi class
         - FIX: fixed a bug that left copies of the landscape pointer 
                image visible when moving the landscape point uphill or 
                downhill
         - CHANGE: Sped up routing (pathfinding) of goods, this allows to 
                   use larger transport networks
         - CHANGE: Routing of goods cannot be interrupted anymore
                   this fixes a potential bug in routing, but also may
                   cause a slowdown in really large games. I hope that
                   the optimization of routing will reduce this problem.
         TIME: 4:30h
           
11/14/01 - NEW: Merged Markus Webers changes to the Simutrans UI
         - NEW: Merged Andreas' changes to the SDL system wrapper file
         - CHANGE: limited 'random map' to 0-999 
         - CHANGE: system wrapper can now choose between software or
                   hardware cusror. Currently Allegro uses software
                   cursor, SDL and X11 use hardware cursor.
         TIME: 1:15h

11/13/01 - FIX: fixed a bug in removing railroad tracks, which sneaked in
                with Andreas' changes
         - NEW: released unofficial 0.79.4exp
         TIME: 1:00h

11/12/01 - FIX: fixed a memory leak that sneaked in while optimizing
                vehicle routing
         - NEW: released unofficial 0.79.3exp
         TIME: 1:00h

11/11/01 - CHANGE: STL priority queue can't be used with Mingw32. Using
                   self made priority queue. 
         - FIX: fixed a bug in routing. The bug limited the usable distance
                of routes for all vehicles, and slowed routing down,
                especially if ships were routed.
         - CHANGE: changed routing of goods. It had a similar bug like
                   routing of ships. I hope this change didn't break 
                   something. If it works it'll speed up routing of goods
                   in complex networks quite a bit.
         - CHANGE: added tooltips for all tools of the toolbar
         - CHANGE: tripled text buffer size for station info. There were
                   problems reported which might be related to a buffer
                   overflow in station info display. New buffer size is
                   8192 bytes. Mingw32 does not support snprintf(), but with
                   sprintf() I have no idea how to avoid buffer overlflows.
                   I just hope 12288 bytes is big enough. 
         - CHANGE: doubled buffer size of convoi info text, too, just to
                   be a bit more save. Now 8192 bytes buffer size.
         - CHANGE: included Flors updated drive in cinema
                   included Flors general purpose ship
                   included Flors updated furniture factory
                   included Flors updated home market
                   included Flors updated planks truck
         - CHANGE: included Volkers update:
                   FIX: image calculation of single rail pieces on slopes
                        fixed
                   FIX: some problems with directional bits in
                        rail block manager, simplified some code
                   FIX: fixed problems when removing bridges and tunnels
         TIME: 6:00h

11/10/01 - FIX: fixed a typo in de.tab
         - FIX: included Andreas' fix for wrong curves in tracks
         - FIX: included Andreas' fix to remove trees if land is lowered
         - CHANGE: switched to STL priority queue for vehicle routing, this
                   should speed routing up for long and complex routes, but
                   is somewhat slower for short routes
         - CHANGE: optimized vehicle routing, now about 20% faster than
                   before. This allows to use 20% more vehicels than 
                   before! Changes due to the switch to the STL priority
                   queue are not included in this measurement.
         TIME: 3:00h

11/05/01 - CHANGE: included Tristans fixed vehikel.tab with better
                   weight and power values for trucks, busses and ships
         - CHANGE: changed vehicle info dispaly in road vehicle depot
                   to display power and weight
         TIME: 0:15h

10/28/01 - CHANGE: changed vehicle routing. Fixed a bug in search for best
                   route. Vehicles should now always find the shortest route.
         - CHANGE: cities build a stadium at a population of 2500, was
                   formerly 2000.
         - NEW: cities build a drive in cinema at a population of 1500.
         - FIX: fixed a wrong entry in en.tab and de.tab 
                ("Verkehrsteilnehmer")
         TIME: 3:00h

10/27/01 - FIX: removing ground from above tunnels works now 
         - FIX: removing tunnels works now
         - FIX: removing bridges works now
         - CHANGE: removing bridges and tunnels no longer places rails 
                   on the end sqaures, but cuts the rails at the end
                   of the former structure
         - CHANGE: added END markers to depot.tab sections and a check
                   if given vehicle count matches actual vehicle count.
         - CHANGE: updated thanks.txt
         - NEW: included Jens wood transport ship
         TIME: 2:30h

10/21/01 - CHANGE: changes savegame format to load/store animated factories
         - CHANGE: enlarged scroll range in vehicle and station info windows
         - NEW: included Flors animated factories
         - NEW: included Flors new trucks

10/15/01 - NEW: animated factories
         - CHANGE: better animation support for all buildings

10/12/01 - CHANGE: changed makepak to read PNG images, converted all 
                   images to PNG format.

10/08/01 - NEW: added Flors new pause icon.
         - CHANGE: enlarged scrollable range in vehicle info windows

10/04/01 - FIX: if vehicles are stored in depots and the map was saved and
                loaded again, Simutrans crashed. This worked in former 
                versions, I don't know why it was broken in between. 
                Nevertheless this is fixed. (calc_bild() of the vehicle
                checked the ground of the map square which was not yet 
                completely loaded at this moment, and this inconsitency 
                made the game crash. Vehicles call calc_bild() often while
                moving. Theoretical thereis a chance that the image of a 
                vehicle is wrong now directly after loading, but I couldn't
                find any problems yet.
         - FIX: if a saved game from a Simutrans with a different vehicle.tab
                is loaded, some vehicle informations are not available. 
                Formerly this caused a crash while loading the game. Now the 
                information is replced with 0 values. This has the result that
                the 'unknown' vehicles do not move (power and weight are set 
                to 0), but the saved game can be loaded and all common vehicles
                (common in both vehicle.tab files from the saving and loading
                Simutrans) will work.
         - NEW: released unofficial 0.79.pre3

10/03/01 - FIX: fixed a buffer overflow in station name creation.
         - FIX: if the hardware clock is set back while Simutrans runs,
                the negative time difference is ignored.
           -> this change limits the time Simutrans can be run without stopping
              to about 23 days!
           -> this change saved 4 bytes memory in each goods-destination 
              object both in main memory and saved games
         - FIX: due to Volkers changes, saved pedestrians didn't move anymore
                after loading. This is fixed, they move again.
         - NEW: The '!' key (Shift-1) toggles the display of station and 
                town names.
         - NEW: The '.' and ',' keys can be used to change the time lapse 
                setting. This is an experimental feature, if you want to
                be safe, do not use this.

09/30/01 - FIX: removing a building (or tree) sets ground to bare land
                (was broken due to Volkers changes)
         - FIX: factory owner is restored when loading a game
                (was broken due to Volkers changes)
         - FIX: vehicles are now displayed correctly (uncropped) again.
                (was broken due to Volkers changes)
           -> This fix does not work for vehicles on bridges, but since the 
              problem only occured with ships noticeably I think the fix is
              'good enough'. We have no ships on bridges so far.
         - CHANGE: conserved about 160KB for a standard size map save file
           -> This change limits the number of players to 127. I guess, this
              isn't really a restriction.
         - CHANGE: changed text for "optionen > quit" to "New map", because
                   it opens the new map dialog rather than quitting the
                   program.
         - CHANGE: changed image for "Please wait, creating a new map"
                   message window
         - NEW: released unofficial 0.79.pre2

09/29/01 - FIX: fixed a bug in Volker changes to routing; ships move again
           -> there is still a display problem in the graphics
         - FIX: if a text input field was active while the containing 
                window is closed, the action bound to the input field is 
                not triggered any more

09/26/01 - Merged Volkers changes
           -> binary save game format (saves about 30% space, saves and 
              loads much faster, incompatible to previous versions)
           -> bugfixes for route calculation and object management in
              world map
         - FIX: fixed a problem in saving industries with Volkers new code: 
                buildings no. 2 and 3 got mixed during saving
         - FIX: Volkers changes prohibited removing trees and town buildings
                It's now again possible to remove trees and houses
         - NEW: Released semi-offical Simutrans version 0.79.pre1

09/23/01 - CHANGE: enabled producing industries to have more than one 
                   consumer. 
         - NEW: More than one consumer per producer. This finally ovrcomes
                the strict 1:1 relation of producers and consumers and allows
                more flexibility in the game.
         - CHANGE: modified buttons of the schedule input window to match
                   the look of most other buttons in Simutrans
         - FIX: fixed a display problem in train/convoi and station info
                windows

09/22/01 - CHANGE: instead of enabling all things as sychroneous objects 
                   only a few are sync steppable now. This change should
                   improve the performance of Simutrans, especially if many
                   vehicles are used. 
         - FIX: fixed a bug in route calculation that could crash the game

09/20/01 - CHANGE: cleaned up vehikel_t class.
                -> saved 4 bytes per vehicle
                -> removed two unneeded methods
                -> moved a method into convoi_t class where it belongs
                -> reduced number of method calls from convoi_t to vehikel_t
                   during driving by 50%, this should speed up things a bit
         - FIX: fixed a wrong bounds check which could make the game crash 
                in route_t

09/19/01 - FIX: if a game was loaded and right after loading saved all
                industry buildings showed up as construction areas forever
                after loading again. This problem is fixed now.
         - NEW: added a new industry: furniture factory
       
09/16/01 - FIX: textiput fields release focus now if the containing window is
                closed
         - FIX: it was possible to choose invalid color sets by clicking left
                or right of the color bars in the color chooser window. This
                problem is fixed now.
         - FIX: fixed a bug which crashed the game when a vehicle entered
                a depot while the vehicle info window was opened

         The following fixes fix problems introduced with the new tunnel
         and bridge data structures or were done by Volker who wrote the
         new data structures and associated code:

         - FIX: fixed visibility of vehicles entering and leaving tunnels
         - FIX: fixed visibility of vehicles driving uphill/downhill
         - FIX: fixed vehicle smoke creation for tunnels
         - FIX/NEW: Merged Volkers changes:
           - Fixes to compile Simutrans with MS Visual C++
           - Fixed a problem in pipeline/powerline code
           - Positioning of the relief map works now with big maps, too
           - Added a replacement for 'opendir()' which is unknown to VC
           - Removed some printf's from blockmanager code
           - Optimized access to ground objects
           - Moved updates of the relief map into ground object class
           - Fixed an array  bounds violation problem in vehicle routing
             code. This bug was probably very seldom triggered.
           - Removed unneded methods from the sqaures objects
           - Changed vehicle movement a bit.
           - Fixed a problem in the bridge building tool

09/09/01 - CHANGE: World display in convoi and station windows fixed
         - FIX: Industries get a proper list of worker residental cities
                even after creating a new map.
         - FIX: Display of desired destinations in city info window fixed

09/08/01 - FIX: Renamimg of newly build vehicles works now
         - BUG: The window title gets translated automatically. If by
                accident the vehicles new name is included as string
                in the language file the window title displays the translation
                for this string instead of the string itself.
         - NEW: Version stamp for saved games
         - NEW: Version check and error message when loading saved games
         - CHANGE: Cleaned up fahrer_t, vehikel_t hierarchie: removed
                methods which were no longer used after Volkers changes

09/06/01 - NEW: Released semi-offical Simutrans version 0.78.12
         - CHANGE: updated todo list
         - CHANGE: mail offices can no longer be build on roads and railroads
         - CHANGE: maps with invlid rail blocks can be loaded again
                (added Volkers hack). I'm not sure if this fixes the problem
                but at least you can load the maps again and try to go on
                with the game.
                -> This change is untested because I had no saved maps with 
                   invalid rail blocks.

09/04/01 - NEW: A limited file chooser for loading/saving games. Allows to 
                enter names for games, up to 60 characters per game. Does not
                work on operating systems which have less than 60 chars per 
                filename. This allows to have more than 5 different savegames.
                -> All existing savegame files need to be renamed to *.sve 
                   manually, because the new Simutrans version only detects 
                   *.sve files!!!
         - NEW: Clicking the entries of the vehicle list now opens the 
                vehicle information window of the clicked vehicle. This way
                you can inspect your vehicle fleet very easily.

08/24/01 - FIX: "Bankrupt" message is displayed if a player is bankrupt 
                (Was hidden due to some other changes in the code)
         - CHANGE: "You are in dept" messages now tell how many months are
                left to pay back the money.
         - CHANGE: updated todo list
         - NEW: Factories do not deliver goods to stations where more than
                1000 units of the same good are already stored. This should
                support a fair distribution of goods if several routes exist
                and one route has only a tiny transport capacity. Formerly
                all routes got the same amount of goods and if the tiny routes 
                transport capacity was below that, immense amounts of goods
                were piled up at the tiny routes source stop. Now the tiny 
                route is capped once 1000 units are stored on it's stop and 
                the other routes are preferred by the factory.
         - NEW: Released unofficial version 0.78.11exp
          
08/23/01 - NEW: new station info and station detail windows
                -> renaming stations is now possible
                -> station window now has scrollbars to scroll big
                   goods/passenger lists
         - CHANGE: heavy workaround to get station name synced with
                displayed name (due to a design mistake in an earlier stage)
         - BUG: text input fields keep input focus if window gets closed.
 
08/22/01 - CHANGE: change convoi info window to use the new UI classes.
                This cleans up some code and streamlines more of the UI.
         - NEW: added text input facility for changing convoi name to 
                convoi info window -> this allows to change vehicle names!
         - NEW: text area component (only used in new convo window so far)

08/20/01 - FIX: Fixed a bug which crashed the game if a new map was created,
                then the game was quit and again a new map with more cities
                was created (caused by deleting the new number of cities 
                instead of the old number).

08/17/01 - CHANGE: included Owens update for the money dialog
                   Negative values are now displayed in red.  
         - CHANGE: adapted a few more dialogs to the rule: 
                   unchangeable values -> black 
                   changeable/changing values -> white
                   This way the player can see immediatley which values are 
                   fixed and which are supposed to be changed/changing

07/01/01 - NEW: built a new BeOS release (0.78.10exp)

06/30/01 - NEW: merged Owens finance window update
         - NEW: (internal) label text can now have other colors than black
         - CHANGE: to unify the finance window look with existing dialogs
                all changing entries are displayed in white, all constant
                entries are diplayed in black now

06/23/01 - NEW: assigned click sounds to more actions to give a better 
                feedback to the user

06/22/01 - FIX: sometimes the interrupt routine was called while it
                was already running. In rare cases this could lead to a 
                double free() of the same object. The second free was
                likely to crash the game (C++ standard says something
                about undefined behavior in that case) or do even worse.
                This is fixed now, the interrupt routine can't be called
                any more if it is running already.

06/20/01 - NEW: added command line switches -h, -?, -help and --help
                which all print a help message
         - NEW: added a few more debug (error and fatal error) messages
                to loading/saving railroad tracks with invalid rail block
                IDs. This won't help the player immediately but allows better 
                bug reports.
         - NEW: added a -screensize option to choose arbitrary resolutions
                This also allows to run Simutrans windowed in multiple 
                window sizes.
         - FIX: fixed a problem which crashed the game if a station building 
                had its name set to NULL. This should not happen normally
                but NULL should be a allowed value for a name string
                (meaning 'no name'). Now the program should be able to cope
                with station builing names which are NULL. Usually this 
                problem was reported as "The game crashes if I click a station" 
         - CHANGE: found some more printf calls and replaced them by calls
                to the new logging system.                             

06/17/01 - CHANGE: Info windows display a bit of the environment, too, now,
                instead of just the objects square. This required changes to 
                the clipping check in simgraph.c
         - BUG: new clipping support for graphics isn't perfect. The last 
                line of graphics in the main display is not drawn correctly.
                In general clipping for images seems to truncate the last line
                while other drawing functions are fine. Workaround: draw one
                additional line (this hides the effects).
         - NEW: finance statistics get loaded/saved. Old savegames can be
                read; all finance stats are set to 0 when reading old games.
         - NEW: finance statistics get reset to 0 every year
         - NEW: Released unofficial version 0.78.8exp

06/16/01 - NEW: Translated Owens finance window entries
         - NEW: Finished work on vehicle list window
         - NEW: Painted two icons (finances, vehicles) for the toolbar
                to open the new finances and vehicle list windows
         - FIX: Fixed two bugs in the scrollpane class which displayed
                scrollbars at wrong position if the scrollpane was not
                located at (0,0)
         - BUG: Finance statistics/informations are not yet loaded/saved
         - CHANGE: Increased max speed of private cars

06/15/01 - CHANGE: Merged Owens finance window routines 
         - FIX: Finance window title bar is now displayed in player colors 
         - NEW: Started working on vehicle list window

06/14/01 - NEW: Released official version 0.78.7exp 

06/13/01 - NEW: Built official version 0.78.7exp 

06/09/01 - FIX: building signals directly adjacent to tunnels/bridges works
                now.                                            
         - FIX: removing signals near bridges/tunnels works now. 
         - CHANGE: adjusted station timeout to new timeflow. It's now again
                   90 days (was less than 1 day)
         - BUG: The block repair tool does not work if there is a train
                waiting on a bridge and the block below the bridge shall
                be repaired. In this case the train on the bridge is counted
                as if it was on the ground block and the wagoon counter of 
                the ground block is set too high.

06/06/01 - FIX: fixed a problem during image calculation in the schiene class
                which could crash the game during destruction of a map, i.e.
                if a new game was loaded.

06/02/01 - CHANGE: Changed a lot more printf calls to calls to the new 
                   debug/logging class. I hope I have changed all of them!
         - CHANGE: Changed a suspicious piece of code in window management:
                   if you had 31 or 32 windows open, and closed a window,
                   the program read data behind the window array. This data
                   was copied into the window array. In general there was too 
                   much data copied but usually within the window array.
                   I don't know how harmful it is to read from behind arrays,
                   but nevertheless this is fixed now.
         - CHANGE: Changed another  suspicious piece of code in window 
                   management: similar to above but executed when a window was
                   topped. 
         - CHANGE: Increased the window array size from 32 to 64 entries, 
                   this means up to 64 subwindows can be displayed.
         - CHANGE: The behavior for "-log" was changed. The output is now 
                   written into the 'simu.log' file AND into the console window
                   (was only 'simu.log' before).
         - CHANGE: Changed default resolution from 640x480 to 80x600. There
                   were never ever problems with higher resolutions reported,
                   so this seems to be fairly safe.
         - CHANGE: Stations without ground squares have name "Unnamed" until 
                   a ground is added to the station. This fixes a possible 
                   crash when inquiring stations to early or late.
         - FIX: fixed a bug which blocked the railway line if a
                one-way signal was removed. Now it's safe to remove one-way 
                signals, too!

06/01/01 - CHANGE: Changed a lot of printf calls to calls to the new 
                   debug/logging class, rated as "Message", "Warning",
                   "Error" and "Fatal error". Fatal error quit the program
                   immediately. Please report all "Error" and "Fatal error"
                   messages to me <hansjoerg.malthaner@gmx.de> 

05/27/01 - NEW: Added more error detections to the id_handle template
                (tombstone id checks). This checks should catch about 50% of
                all internal data corruption problems. (The other 50% can't be
                checked because in those cases the result of the corruption is 
                a valid tombstone ID again).
         - CHANGE: changed "Warning: Convoi was saved in state 4 or 5"
                   to "Message: Convoi was saved in state 4 or 5"
                   because this is not an error, but normal program action.

05/26/01 - CHANGE: Tried to migrate to from Allegro 3.9.32 to Allegro 3.9.36
                   Compiled and installed new Allegro Library for Windows.
                   -> Supports now DirectX up to version 7.0, hopefully
                      this will save some of the "no suitable graphics
                      driver found" problems.
                   -> 'simuwin -res 5' runs Simutrans in a window nicely now
                      (Windows version only, other versions have window by
                      default)

05/24/01 - CHANGE: Translated debug messages in rail block manager
         - CHANGE: Loading a map now tells how many factories trains/convois 
                   are loaded
         - CHANGE: Improved id_handle_tpl for better checking if a handle is
                   bound to an object
         - CHANGE: Adapted automatic tests for tombstone checking
         - CHANGE: Cleaned up code in rail block and rail block manager
                   classes
         - CHANGE: Stations are now using handles and tombstones, too
         - CHANGE: Translated a few more messages from the tools

05/23/01 - NEW: Tombstone/id_handle templates allows to check for dangling
                pointer in all classes retrofittet with tomstone tables
         - CHANGE: Retrofitted rail block class with tombstone table
         - CHANGE: Split rail block classes and rail block management code
                   into two files

    ------------------------------------------------------------------
    Made a break to gather my thoughts and find new solutions for some
    problems with Simutrans.
    ------------------------------------------------------------------

04/22/01 - NEW: Map preview in map selection window (new game window)
         - NEW: Included Tilli's new vehicle setup routines for smoother
                starting of vehicles.
         - CHANGE: relief map look changed

04/21/01 - CHANGE: Text input fields have a cursor now, changed handling of 
                input focus a bit
         - CHANGE: rearranged ground and road images to allow multiple
                sets of ground images
         - FIX: renaming cities from loaded games works now
             

04/19/01 - NEW: Text input fields
         - CHANGE: City info window uses text input field

04/14/01 - FIX: found an array bounds violation in simgraph.c in a
                text drawing routine. This caused random crashes and other 
                strange behavior if text was drawn half-outside the screen.
         - FIX: found an array bounds violation in simgraph.c in another                        
                text drawing routine. Nearly as evil as the bug mentioned
                above.
         - FIX: fixed an array bounds violation in simsound.cc
                If no sound card was detected the first MIDI title read from
                music.tab was read into midi_titles[-1] and overwrote an
                helper array of the AI. This made the game crash when the AI
                was using the values from this array. 

04/13/01 - FIX: removing one of those smoke-clouds crashed the game. This is
                fixed now. This bug could be triggered either by using the
                'remover' tool or by building something on squares which
                contained clouds.
         - CHECK: it was rported that removing rails or roads and thus 
                breaking a vehicles route would crash the game. This 
                could not be reproduced.
         - CHANGE: included new en.tab, fi.tab, fr.tab and es.tab 
                (language files)

04/11/01 - FIX: fixed a bug which aborted the game if empty spaces in the
                depot were clicked while being in sell mode
         - FIX: midi playlist displays message
                "Musicplaying disabled/not available" if either no MIDI
                files could be loaded or if the soundcard could not be 
                initialized succesfully
         - FIX: Song name in playlist is updated if a new song starts
                playing

04/09/01 - Merged Owens new sound routines: a simple MIDI playlist UI
           for browsing the MIDI files forward and backward.
         - CHANGE: Unified look of playlist UI with other Simutrans UI

04/08/01 - Released 0.78.0

04/07/01 - CHANGE: en.tab and de.tab updated, included corrections from
                Seth and Dirk.
         - CHANGE: included new hungarian language file
         - CHANGE: translated a few more debug/info messages from german
                to english.
         - FIX: included Tilli's tree placement fix.

04/04/01 - FIX: clicking an empty entry in the engines area of a depot
                window no longer aborts the game. This bug was introduced 
                during the changes in 0.77.6 when a bounds checked array was
                introduced as container for engines ... a failed bounds
                check aborted the game in this case.   

04/01/01 - CHANGE: AI build trains of different length now
         - CHANGE: AI uses different engine types now
         - FIX: AI no longer buys trailers without trucks
 
03/31/01 - NEW: New industry: Bookshop (painted by Tuomas, tiled by me)
         - NEW: New vehicle: Book van (painted by Sergiu, modified by me)                               
         - NEW: New good: Books
         - NEW: New private car (painted by Dirk, recolored by me)
         - CHANGE: included new powerlines from Daniel
         - CHANGE: included new transformer station from Daniel
         - CHANGE: Doubled the running cost for all locos, they were 
                smaller than the avarage truck running cost before. 
                Now running costs for train engines are higher than 
                truck running costs in average.
         - CHANGE: Raised the capacity of all trucks by 10-30%.
                Trucks should be able to compete (at least sometimes)
                with trains.
         - CHANGE: Power station has now upto three suppliers (was two
                formerly). I hope this is enough to produce electric energy 
                more continuously.
 
03/28/01 - CHANGE: compiled a new Linux test version with a different setup
                of libraries (left out all DGA libs in Allegro setup). 
                The new version runs on a wider range of Linux systems now.
                                                    
03/23/01 - CHANGE: Cleanups for new map window, sets scroll positions to
                actual map coordinates when opening a new map window.
         - CHANGE: Text drawing routines can now choose from two fixed 
                width fonts and one proportional font.
         - CHANGE: The image of the power connectors at power stations was
                changed to a grey power line segment.
         - CHANGE: Linux version can now be built with Allegro, sound and 
                music works, mouse is self-managed as in windows fullscreen
                mode:
         - NEW: Sound effect for income/expenditure.

03/22/01 - NEW: Powerlines. Power stations get power connectors. The player 
                can place transformer stations near other industries and
                connect power stations power connectors and the transformer 
                stations with powerlines.
                Hotkeys: 'g' to place a transformer station
                         'l' to build a powerline
         - NEW: A 4x7 font, used in relief map to display town names.
                Small and hard to read.
         - CHANGE: Event handling during scrolling changed. Now the frame_time
                is no longer changed during dragging the map. This should 
                prevent some possible problems (passenger rate) with a 
                ridiculous fast looping main loop (which was the result 
                of a map drag before).
         - CHANGE: Fixed width font drawing routines clip correctly now.

03/21/01 - CHANGE: Goods/destination objects changed from heap allocation to
                stack allocation and to value variables instead of pointers.
                The former solution (heap/pointers) was always a source of
                problems. The new implementation should be more robust
                against several error types (dangling pointers!). 
                It's probably not more correct than before, but allows
                to keep playing even if an error occured. This solution
                needs to copy more memory (16/24 bytes instead of four 
                for each assignment but saves one indirection on each value
                access and saves calls to new/delete. All in all it seems to
                be rougly as fast as before (no measureable difference). I
                think, it's even faster now.
         - CHANGE: Changed event queue indices in simsys_d.c to unsigned types.
                They were always checked for higher bound, but not for 
                lower bound. Making them unsigned prevents the occurance of
                negative values, and a higher bound check is now sufficent
                to ensure values of valid range. Similar to the change above,
                this might not be more correct than before but it should be 
                more robust against errors than before.
         - CHANGE: Changed a few more lists to list templates to gain type
                safe interfaces. Should allow better error checking by the 
                compiler.
         - CHANGE: Changed memory allocation scheme of map squares. They prefer
                to keep memory instaed of freeing it. They just free memory
                if they have space for more than 32 objects but contain less 
                than 8 objects. In other cases they keep the allocated space.
                This reduces the number of calls to new/delete and should
                therefore speed up the program, but it might use up to 
                four times more memory than before (couldn't verfiy this, the
                game needed 12 megs to play a 256x256 map before and still 
                needs less than 13 megs for a 256x256 map).

03/20/01 - FIX: Fixed a bugs which destroyed the freelist of the 
                node_container_t by accident. Cause was a freelist=0
                in the cosntructorof the node_container while
                freelist is a staic member and should not be nulled
                in the constructor.result was a memory leak.
         - CHANGE: Allow putback of node lists in node_container_t. This 
                reduces the number of calls to new and delete and should 
                be more efficient. It simpliefies code and moved two 
                implementations to a single source, thus enhancing 
                maintainability. The queue_t and Stack classes benefit from
                this feature.
         - FIX: Fixed a memory leak in sound_frame_t. Sliders and labels
                are now data fields of the class instead allocated spearately
                on the heap. This way they are automatically free'd if the 
                frame is deleted.
         - CHANGE: Updated two of my houses, adjusted window sizes and wall
                colors. Added a lamp (lit at night) to one of the houses.

03/19/01 - CHANGE: Some memory management changes started:
                - reduced number of calls to new/delete by reusing
                  node objects (nodes are used in all linked data containers 
                  and are allocated/deallocated very frequently
                - changed HNode and KNode (goods routing and vehicle
                  routing) memory management to use freelists.

03/18/01 - CHANGE: Image updates from Trikky and Oskari included
         - CHANGE: Mouse pointer no longer visible during loading,
                saving and while creating a new map. This prevents the
                'footsteps' problem.

03/17/01 - CHANGE: Relative volumes of music/sound adjusted.
         - CHANGE: Sound volume has a wider adjustment range now.

03/15/01 - CHANGE: included Ricks updated images
         - FIX: Event handling problem in options dialog fixed, this fixes
                also event problems in the new savegame slot dialog.
                This also makes the buttons real 'pressable', not
                just 'touchable' as before.

03/14/01 - NEW: MIDI playing routines by Owen Rudge integrated
         - NEW: MIDI volume selector to sound control added
         - FIX: Saving games with Shift-S works again
         - CHANGE: Mouse position update changed, last change had a bug 
                introduced

03/10/01 - NEW: A very simple savegame chooser. Allows to select one
                of five savegame slots for loading and saving a game
         - FIX: Fixed a bug in convoi (train) loading code. There was
                a little chance that convois (trains) were saved in an
                inconsisten state. This fix recovers the convoi state
                during loading the game.
         - CHANGE: added a new interface class for listening for button
                press events to the gui class hierarchy
         - CHANGE: tried to enhance timer precision from 5 ms to 2 ms
                (Only Windows version, other versions already had a 
                 precision of 1 ms);
         - CHANGE: replaced one of Trikkys buildings with an updated
                version
         - CHANGE: included steam loco sound
         - CHANGE: improved mouse pointer movement (only Windows
                version).  


03/08/01 - CHANGE: idle_time now drops until below 50µs
         - CHANGE: passengers are routed in groups of up to 7
         - CHANGE: passengers are appalled by crowded stations
                in goups of 8 (was 4 before)
         - CHANGE: passengers are appalled by not finding a route
                in goups of 4 (was 1 before)
         - CHANGE: tried to optimize haltestelle_t::suche_route()

03/05/01 - CHANGE: cities step only every fourth row per step 
                (was every second row before)
         - CHANGE: buildings creates twice as much passenders as before
                to make up for the slower step frequency

03/04/01 - NEW: Sound control window (only volume control so far)
         - NEW: Label component for UI
         - CHANGE: Sped up display_img by another 3% with a tip from Frans
         - CHANGE: Included Frans in intro scroller and thanks.txt
         - FIX: If an animated building was renewed the animation count
                was not set correctly and a wrong image was displayed
                for some time. This is fixed now.
         - CHANGE: map window display maps <= 256x256 squares without 
                scrolling, bigger maps are displayed in a scrollable
                window of 250x250 pixels in size. (Currently the 
                scrollbars are just inactiv during the display of
                smaller maps).
         - FIX: X-Windows: Exposure-event wird jetzt richtig verarbeitet
   
03/03/01 - NEW: Scrollpane class (scrolling canvas for UI components)
         - NEW: Container class for UI components
         - NEW: Frame class for UI components
         - CHANGE: Maximum map size is now 576x576 squares
         - CHANGE: Relief map got scrollbars

03/01/01 - CHANGE: A new private car
         - CHANGE: Improved some images (city buildings)

02/28/01 - CHANGE: Optimized the assembler routines even further
                with tips from Frans. Gained another 6-10% in speed.   

02/24/01 - CHANGE: Large cities call INT_CHECK more frequently now.
                This makes vehicles movement smoother.
         - CHANGE: Passengers are routed in groups of three if possible,
                this enhances overall performance in games with
                big cities.
         - CHANGE: Drawing routines rewritten in assembly language,
                now at least 15% faster than before.
         - CHANGE: Route building for AI cleans up datastructures after
                route calculation. 
         - CHANGE: Changed the AI and road/railroadbuilding code to 
                reduce the 'stalls' in vehicle movement.

02/18/01 - FIX: 'waddling' trains fixed (by Till)
         - FIX: The pause mode is working correctly now
                Press 'p' to pause the game 
         - CHANGE: Tree placement improved (by Till)
         - FIX: Cities no longer destroy bridges when building things 
                below them
         - FIX: It's no longer possible toremove depots while there are
                vehicles in them
         - FIX: Off screen sounds are now muted (clipped) correctly even
                in higher screen resolutions
         - CHANGE: Sounds which are farther away are less loud than
                sounds from near things.
         - CHANGE: If an existing schedule is opened for editing, 
                the default action should not be 'remove'.
                Now 'select' is the default action.

 
02/11/01 - CHANGE: Closing a tool window reverts theselceted tool
                   to the information tool.
         - FIX: Day/night switch on title screen works now. 

01/28/01 - CHANGE: If there is no train/convoi yet, and a new engine is
                   baught, a new train/convoi is automatically created
                   and the engine is added.
         - FIX: VELO in en.tab changed to DIBU

01/24/01 - FIX: Clipping rectangle bug fixed

01/21/01 - FIX: Railway stations can't be bult on level crossings
                anymore
         - FIX: TPDIesel entry corrected in de.tab/en.tab
         - CHANGE: included Dirks/Manfreds new de.tab

01/18/01 - FIX: There was a bug in the calculation of the direction of
                a newly built bus stop

01/14/01 - CHANGE: memory management for goods changed to list based
                   management
         - CHANGE: included Oskaris new images
         - CHANGE: added Sounds for ship depot/harbour building tools
         - CHANGE: Cities build stadiums when they reach 2000 inhabitants
         - NEW: Basic support for animated buildings
         - FIX: The landscape pointer is only redrawn if really needed 
                (shape changed or moved). This should save some percent of 
                CPU time if the pointer isn't moved.

01/12/01 - FIX: level crossings can't be built on slopes anymore
         - FIX: bus stops can't be placed on level crossings anymore

01/10/01 - FIX: a bug in rail track display code (displayed end of lines
                under signals)
         - FIX: windows get events, even if the last mouse click was 
                outside the windwo

01/07/01 - Added tools to create level crossings; this tool adds rails to
           roads. Together with the former level crossing tool, this gives
           a general prupose levele crossing building tool.
         - Added infrastructure to bind sounds to tool selection and execution
         - Fixed bus-stop bug

01/05/01 - Added tools to create level crossings; this tool adds roads to
           railroads. This means you always need to build railroad tracks
           first.
         - Added icons for tool, a landscape pointer for tool and
           images for the crossings itself

01/04/01 - Changing the program to use the new ground and way classes
         - Ran some tests to see if the new ground classes work well

01/03/01 - Preparing the program for level crossings and combined traffic
           -> introduced a new class hierarchy for ground and way types
              which supersedes the old class hierarchy.

29.12.00 - Merge mit Niels Sourcen
         - Brücken und Tunnelwerkzeuge in Strassen- und Schienenbaufenster 
           verschoben

28.12.00 - NEU: Tab-Panels für Depot-Fenster

24.12.00 - FIX: Falls Schienebau fehlgeschlagen wurde als Fallback Strasse
                gebaut ohne zu prüfen ob für die Waren überhaupt
                Strassenfahrzeuge verfügbar sind
         - CHANGE: Waren haben Koordinaten statt Koordinaten-Zeigern
                   für die Ziele. Das behebt das Problem der mehrfachen 
                   Freigabe gleicher Koordinaten
         - CHANGE/FIX: Laden von Planquadraten ermittelt max_index jetzt
                   anders. Das sollte das Problem max_index >= capacity
                   beheben. Ist nach der Änderung nicht merh aufgetreten
                   Ein assert() prüft diese Bedingung in der Debug-Version.

20.12.00 - CHANGE: Städte erzeugen beim renovieren keine neuen
                   Gebaeude-Objecte sondern updaten die alten.
                   Das behebt ein Speicherloch.

17.12.00 - CHANGE: GUI: Buttonlisten auf Vector-Template umgestellt
         - CHANGE: Fahrplan mit 0 Stops führt nicht mehr zum Absturz
         - CHANGE: Fahrplan benutzt jetzt auch array_tpl

16.12.00 - CHANGE: Beschleunigung wird jetzt aus dem Fahrzeuggewicht errechnet
         - CHANGE: Anheben von Wasser mit Konvertierung zu Land
                   ist jetzt möglich
         - CHANGE: Endverbraucher (Fabriken) können jetzt in Städten
                   platziert werden.
         - FIX: obj_ist_da() stürtze ab, wenn gar kein Objekt auf diesem Feld 
                vorhanden war

10.12.00 - CHANGE: Ribi von Stadtstraßen werden jetzt richtig gesetzt
         - NEU: Kosten für Bau und Abriß von Tunnels und Brücken werden
                verrechnet
         - NEU: Gewicht und Leistung pro Convoi werden jetzt ermittelt

09.12.00 - NEU: Testfälle für Objektverwaltung im Planquadrat
         - FIX: "Überbauen" von nicht-entfernbaren Dingen ist jetzt
                nicht mehr möglich
         - CHANGE: Staedte steppen nur jede zweite Zeile, erzeugen
                   dabei aber pro Gebaeude doppelt so viele Passagiere.
                   Das sollte Rechenzeit sparen.

08.12.00 - CHANGE: Planquadrate haben dynamische Objektverwaltung und 
                   koennen bis zu 2^15 Objekte verwalten.

06.12.00 - CHANGE: diagonales Scrolling per Keyboard ist jetzt möglich
         - CHANGE: daten.pak enthält jetzt die Anzahl der gespeicherten Bilder
         - CHANGE: Städte bauen Stadien jetzt erst bei 1050 Einwohnern

05.12.00 - FIX: setRGB8multi wieder benutzt, ist bei Merge mit Niels sourcen
                am 30.11.00 entfallen

02.12.00 - FIX: 'done' Button im Fahrplan-Dialog öffnet nicht mehr das
                Infofenster eines darunterliegenden Objekts
         - CHANGE: Warteschleife fuer Wartezeiten von weniger als 1 ms
         - Freispielmodus eingebaut, ergänzt Testmodus
         - Pasis verbessertes Stadtinfo-Fenster eingebaut

30.11.00 - Merge mit Niels sourcen

29.11.00 - Hotkey q,x zu Q,X geändert
         - Hotkey t für Schienenbau
         - CHANGE: karte_t::destroy loescht alle Blocktrecken
         - CHANGE: 'max. 10/60 Passagiere' zu '10/60 Passagiere' geändert

27.11.00 Suche nach Fehler, der die Grafikstörungen hervorrufen könnte
         2 Stunden erfolglos gesucht

26.11.00 - GUI um Tag und Nacht Modus an-/abzuschalten
         - FIX: Kennfarbe des Spielers wird bei Nacht
                richtig gespeichert/geladen

25.11.00 - weitere Arbeiten an Tag&Nacht Modus
         - CHANGE: mehr Lichter bei Nacht
         - FIX: Kennfarbe des Spielers bleibt bei Nacht erhalten

23.11.00 - weitere Arbeiten an Tag&Nacht Modus

22.11.00 - setRGB8multi fuer effizienteren Farbwechsel
         - mehr INT_CHECKS fuer besseres Fahrzeugfahren

20.11.00 - Merge mit Niels sourcen

19.11.00 - Tag-und-Nacht-Modus

16.11.00 - FIX: Fahrpläne haben jetzt Speicher für 16 Einträge
         - Merge mit Niels sourcen
         - FIX: Ricks Fabrik ist 599 statt 699
         - Ricks toolbar

15.11.00 - einige casts durch dynamic_cast ersetzt
         - Vehikelbauer ist auf den vehbesch typen basiert statt auf
           tabellen.
         - KI prüft die Verfügbarkeit von Fahrzeugen vor dem Streckenbau
         - Abschluss der Industriekonfiguration, Einbau der Autofabrik

13.11.00 - slist_tpl: Typsicheres List-Template

12.11.00 - industry.tab fertig
         - Waren/Industrien sind jetzt frei konfigurierbar

11.11.00 - NEU: industry.tab (begonnen)

09.11.00 - NEU: Warendaten werden aus Datei gelesen,
                warenbauer als Factory-Klasse für Waren

08.11.00 - NEU: Pause-Funktion
         - NEU: Anzeige fuer Fracht in 'aktuell/maximal'

03.11.00 - NEU: eigene, einheitliche Random-Funktion, Plattformunabhängig
         - NEU: Reliefkarte "draggable"
         - NEU: Window wird bei Klick in Window-Koerper getoppt.

02.11.00 - NEU: Beschraenkungen fuer Fahrzeugkombinationen
         - FIX: Fahrzeuge auf Bruecken/Tunel werden jetzt von 
           pruefer_ob_strecke_frei richtig gezaehlt
         - FIX: block_ersetzer behandelt Bruecken/Tunnel jetzt richtig
         - FIX: Signale entfernen funktioniert jetzt

01.11.00 - Window-Close Button wird richtig gedrueckt

31.10.00 - Repeat Buttons

30.10.00 - Merge abgeschlossen

29.10.00 - Merge mit Niels sourcen

28.10.00 - FIX: Umbau des GUI auf Komponenten

24.10.00 - FIX: Rückbau des Speichermanagements für gebäude_t
         - FIX: Einfahren in Bahnhof prüft jetzt auf Schienen
         - CHANGE: intro scroller text

23.10.00 - FIX: Anpassung Fenstergroesse an 11er LINESPACE
         - FIX: Zuege fahren über Bruecken statt untendurch
         - FIX: free_entries in memblock_t wurde nicht init, das
                ist jetzt behoben
         - CHANGE: Änderung im Speichermanagement für Gebäude

19.10.00 - NEU: Fenster können mit DEL und Backspace geschlossen werden
         - NEU: Wegpunkte werden mit Koordinaten aufgelistet
         - CHANGE: Textabstand auf 11 Zeilen erhöht
         - CHANGE: "Cr" wurde in creditszeichen umgeschrieben
         - CHANGE: Betriebskosten werden jetzt aus vehikel.tab gelesen
                   und pro feld verrechnet.
         - FIX: Beim Entfernen eines Bahnhofs wird ein Schienenende wieder
                zu einem Schienenende

16.10.00 - FIX: beim Einfügen von Koordinaten in eine Route wurden die
                Hoehen nicht mit verschoben. Jetzt werden Hoehen von 0
                eingefuegt
         - NEU: Scrolling per Tastatur

15.10.00 - NEU: Blickpunkt wird mit Karte gespeichert
         - NEU: neue Option "zeige passagiere"
         - NEU: Soundwerte in vehikel.tab und vehbesch.cc
         - NEU: Option -log schreibt logfile
         - NEU: Fortschrittanzeige beim Laden/Speichern und neuen Spiel

14.10.00 - CHANGE: neues memory management, wird von koord und 
                   sync_wolke_t benutzt, da diese Klassen sehr
                   haeufig instanziiert und geloescht werden.

12.10.00 - FIX: Schienen über Schienen legen funktioniert jetzt richtig,
                Blockstrecken bleiben an den Signalen getrennt
                - Test geschrieben

         - FIX: Depots entfernen funktioniert jetzt richtig, im
                ersten Schritt wird das depot entfernt, im zweiten die
                Schiene
                - Test geschrieben

         - CHANGE: stepgruppen von 7 auf 14 hochgesetzt
         - CHANGE: Wasser stept jetzt jedesmal
         - CHANGE: Baeume steppen jedesmal und berechnen das Alter richtig,
                   Baeume saemen an insgesamt drei tagen im Baumleben

08.10.00 - NEU: Sound-API begonnen

07.10.00 - FIX: Kontostand ist jetzt 64 bit Wert (long long)

05.10.00 - FIX: Post kann nur auf leerem Feld gebaut werden
         - FIX: besserer Text für Intro-Scroller

04.10.00 - NEU: Intro-Scroller

03.10.00 - FIX: routing um Faktor 35 beschleunigt
         - FIX: Kennfarbe wird gespeichert und geladen
         - NEU: Staedte bauen Stadien
         - TEST: Fussgaenger

30.09.00 - Züge halten in T-förmigen Bahnhöfen jetzt richtig
         - FIX: Routing von Waren zur Zielfabrik verbessert:
                statt entfernung halt->basis zu Fabrik wird jetzt
                die Fabrikliste der Haltestelle zu rate gezogen um
                zu sehen ob die ware abgeliefert werden kann.

27.09.00 - Automatische Tests für das Schienenverlegen begonnen
         - Testsuite ausgelagert

23.09.00 - simworld.cfg speichert einstellungen: Sprache

20.09.00 - Neues fr.tab integriert

19.09.00 - "delete void * considered harmful": der destructor wird nicht
           aufgerufen. Deswegen slist.delete_all entfernt und ersetzt.

17.09.00 - NEU: vector klasse und array template

16.09.00 - NEU: Testsuite begonnen

08.09.00 - FIX: bei Truecolor wird das Bild nach einer Änderung der Palette
                neu gezeichnet.

04.09.00 - FIX: Welt wird nach laden komplett neu gezeichnet
         - CHANGE: auflaufen der hinteren Waggons bei Halt vermieden
         - CHANGE: Züge klemmen nicht mehr nach halt in kurve, allerdings
                   stimmt das setup nach dem Halt nicht mehr bis der Zug
                   in einen Kopfbahnhof einfährt.
         - CHANGE: Fahrplan-UI selekiert add-mode oder remove, je nachdem
                   ob der Fahrplan leer ist oder nicht

01.09.00 - Ungelöst: Haltestellen (docks?) um Ölfelder herum können nur
           geladen werden, wenn sie Spieler 0 gehören. Gehören sie Spieler 1
           dann stürtzt das Programm beim zweiten Ladeversuch ab.
         - FIX: Züge mit mehr als 4 Waggons routen jetzt auch in 
                Durchgangbahnhöfen richtig

31.08.00 - NEU: Oelfelder funktionieren jetzt
         - FIX: verteile_waren bedient meherer Haltetsellen jetzt richtig,
                hatte zuvor n-mal die Ware verteilt
         - FIX: uninit. Zeiger in simfab.cc behoben

30.08.00 - FIX: Verkehr fährt jetzt richtig über Hügel und Senken
         - CHANGE: Verkehr behindert Automobile

29.08.00 - FIX: Tunnel und Brückenbau funktioniert wieder
         - FIX: zwei möglicherweise uninit. zeiger in simplay.cc
                behoben.

28.08.00 - FIX: Bounds check bei raise_to/lower_to war falsch

24.08.00 - NEU: Anzeige der Mauskoordinaten (int Kartenkoordinaten)
         - CHANGE: Stadtnamen sind jetzt eindeutig.

23.08.00 - CHANGE: Auslagerung Depotdaten in "depot.tab"

20.08.00 - CHANGE: Auslagerung Gebaeudebeschreibungen in "gebaeude.tab"
         - FIX: X-Windows+dirty rectangle list jetzt auch in 16/32 bit
         - FIX: Redraw der Iconleiste nur wenn nötig
         - FIX: Kennfarbenumschaltung zeichnet ganzes Bild neu

19.08.00 - NEU: Altersangabe für Fahrzeuge
         - CHANGE: vehikel_t etwas überarbeitet
         - CHANGE: Berechnung von Restwert für verkaufte Fahrzeuge 
                   (ca. 70% nach erstem Jahr)

17.08.00 - FIX: Gebäudeindex für Gebeudearrays der Stadt wird in renoviere
                richtig geclipped                      
         - FIX: bug aus fahre() entfernt, der durch die Koordinatenumstellung
                verursacht worden war, eigentlich ein tippfehler
         - NEU: Vehikel können im Depot verkauft werden

16.08.00 - dirty rectangle list vervollständigt
         - FIX: maximal 8 Loks und 32 Fahrzeuge können in einem Dept
                eingelagert werden.

14.08.00 - dirty rectangle list weitergebaut

13.08.00 - dirty rectangle list weitergebaut
         - viele Umstrukturierungen
            - koords wo es sinn macht
            - einige vereinheitlichengen bei schreibweisen (setze)

12.08.00 - dirty rectangle list begonnen

09.08.00 - CHANGE: Züge fahren jetzt immer bis zum Bahnsteigende

07.08.00 - FIX: Stadt baut Gebäude nur auf Feldern ohne Besitzer.

04.06.00 - 32 Farben in der Palette sind jetzt zusätzlich verfügbar
         - GUI für farben aus simgui getrennt und nach gui verschoben

02.08.00 - generisches Makepak für alle Plattformen
         - Doppelte Info-Fenster für Haltestellen abgeschaltet

30.07.00 - FIX: Beim Trennen einer Ringstrecke wird jetzt die Blockbelegung 
           richtig ermittelt

29.07.00 - Bugfixes
         - Riffe für unbefahrbares Wasser

26.07.00 - Abschliessende Arbeiten am Fahrplandialog
         - Einbau von Olufs Fähre

24.07.00 - Weitere Arbeit am Fahrplandialog
         - CHANGE: Fahrzeuge haben keinen eigenen Fahrplan mehr
                   nur noch Zeiger auf den Convoi-Fahrplan
         - CHANGE: anderes Design für Fenstertitelleisten

23.07.00 - Weitere Arbeit am Fahrplandialog
         - Weitere Anpassungen für SDL
         - CHANGE: Statusanzeigende Buttons werden jetzt gedrückt dargestellt
         - CHNAGE: erweitertes event-handling für Info-Fenster

20.07.00 - Beginn Fahrplandialog (Fenster, Anzeige Fahrplan)

19.07.00 - Anpassungen für SDL (BeOS)

16.07.00 - FIX: start von convois mit nur einem Fahrzeug funktioniert wieder
         - CHANGE/FIX: Passagiererzeugungsrate pro stadt ist jetzt von der
                       Stadtanzahl unabhängig, liegt bei ca. 1/4 der 
                       vorherigen Passagiererzeugungsrate; das limitiert 
                       jedoch die Stadtanzahl auf 64 Staedte insgesamt.

15.07.00 - FIX: Beim Absenken auf Wasserniveau werden alle Objekte
                des Planquadrates gelöscht

12.07.00 - CHANGE: Neues Gras
         - FIX: verbessertes/effizienteres clipping fuer display_img

09.07.00 - FIX: Softzeiger hinterlaesst keine Abdruecke mehr 
                auf der Iconleiste
         - CHANGE: Gewinn wird jetzt nach route(max_n)-route(0) berechnet
         - FIX: Fahrplaene fuer Trabantenfahrzeuge werden vom Erstfahrzeug
                uebernommen

08.07.00 - Screenshot feature
         - FIX: Unzerreisbare Züge

06.07.00 - FIX: Verbesserung der Landschaftzeigerpositionierung
                vor allem bessere Platzierung des Signalzeigers
         - FIX: Wenn das Infofenster eines Fahrzeugs offen ist und man
                das Fahrzeug in ein Depot schickt erfolgt kein Absturz mehr
         - FIX: Signale entfernen nochmals korrigiert
         - FIX: Schienen entfernen nochmals korrigiert

05.07.00 - Fehlersuche in der Blockstreckenverwaltung
         - FIX: Bahnhoefe koennen nur auf eigenen Schienen gebaut werden

03.07.00 - FIX: laden kleinerer Karten jetzt möglich
         - CHANGE: Signale werden jetzt immer paarweise entfernt
         - Eddies Korrekturen zur en.tab eingefügt

29.06.00 - FIX: Entfernen von Privatfahrzeugen verboten
         - FIX: Depotnamen werden wieder i18n
         - Ricks engl. Stadtnamen eingebaut

28.06.00 - Finnische Übersetzung eingebaut
         - Sprachnamen stehen jetzt als 1. Zeile in den Sprachfiles

24.06.00 - FIX: Laden und Speichern des Warenziels, Erzeugung einer 
                Warenzielkopie bei Teilen eines Warenpaketes
         - FIX: Waggons bekommen hat_fracht_bild wieder gesetzt, war
                Fehler im Vehikelbauer, fracht.is_empty() wird bei waggons
                richtig berücksichtigt.
         - FIX: Reliefkarte: Klick in die unteren 16 Zeilen funktioniert 
                jetzt wieder
         - FIX: Lieferung von Waren mit Eingangsindex != 0 and Fabriken
                funktioniert jetzt wieder.
         - FIX: Baeume und Wolken rufen kein delete im step() auf.
                Das delete wird jetzt vom Planquadrat übernommen

23.06.00 - Passagiererzeugung in Fabriken
         - Passagiererzeugung in Staedten beruecksichtigt Fabriken
         - Passagiererzeugung in Staedten beruecksichtigt Ausflugsziele
         - Passagiererzeugung in Ausflugszielen
         - FIX: Kohlekraftwerk hatte ausgang[0] nicht allokiert
         - FIX: Warenendziel kann von Warenziel(Haltestelle) 
                unterschiedlich sein, Vereinheitlichung verursachte Fehler
                im Routing.
         - FIX: Postgebaeude auf Fundament konnten den Boden nicht als
                Haltestellenboden setzten. Verzicht auf Fundament.

22.06.00 - FIX: Stadnamen internationalisiert
         - FIX: Haltestellennamen internationalisiert
         - neuer Fenstertyp w_info_autosize

21.06.00 - FIX: Bei der Teilung von Waren an Haltestellen werden
                die Zielkoordinaten der neuen Ware neu erzeugt
         - Speicherlöcher im Warenrouting behoben
         - Auslieferung von Waren an Fabriken funktioniert wieder

20.06.00 - Routing für Passagiere und waren funktioniert im Prinzip
         - CHANGE: altes, quotenbasiertes Passagiersammeln wurde 
                   aus dem Programm entfernt
         - Verdacht auf Speicherlöcher im Warenrouting
         - Erzeugung von Waren mit Zielen funktioniert jetzt im Prinzip

19.06.00 - Passagiererzeugung in den Städten begonnen
         - Stadtinfo-Fenster begonnen

18.06.00 - Ziele für Waren und Passagiere
         - Neue GUI-Hierarchie
         - CHANGE: Map-Window wurde zu einer eigenen Klasse

17.06.00 - Ziele für Waren und Passagiere, Ziellisten für Haltestellen
         - CHANGE: Haltestelleninfofenster werden über Boden geöffnet

15.06.00 - Interface comparable_t fuer ADT Menge
         - FIX: Plastiktransporter transportiert jetzt auch Plastik

14.06.00 - ADT "Menge" begonnen
         - CHANGE: Boden hat jetzt pointer auf Haltestellen
         - CHANGE: Haltestellen werden jetzt über Boden gesucht und gefunden
         - FIX: Boden hat virtuellen Destruktor, der Boden von Haltestelle
                abmeldet.

13.06.00 - FIX: Windows-Version laden/speichern funktioniert jetzt
         - Neues Statdgebaeude: Kirche

11.06.00 - Schiffe, Schiffsrouten
         - Tests und Bugfixes für Schiffe
         - FIX: laden der Fahrzeugtabelle lädt letztes Fahrzeug richtig
         - FIX: statt aussteigender Passagiere fahren die mitgefahrenen Pax

10.06.00 - Auslagerung der Fahrzeugdaten für alle Fahrzeugtypen vereinheitlicht
         - Bilder für Schiffsdepots + Zeiger
         - Schiffdepotwerkzeug
         - Schiffdepots
         - Schiffe (ungetestet)
         - Performanceoptimierungen in der Grafik

08.06.00 - Auslagerung der Fahrzeugdaten fertig
         - Bilder für Schiffsdepots begonnen

07.06.00 - Auslagerung der Fahrzeugdaten in vehikel.tab begonnen

04.06.00 - Erste Docks (Bilder + Werkzeug)

01.06.00 - FIX: top_win implementiert
         - Werkzeugwaehler Fenster

28.05.00 - Erste Version mit winallegro
           Einige Anpassungen an Windows-Spezifika
         - FIX: INT_CHECK wird in step jetzt nur noch alle 1024 
                planquadrate aufgerufen
         - step() von boden wird nur gerufen, wenn der boden
           will_step gesetzt hat

25.05.00 - FIX: Signale melden sich beim entfernen immer bei der Block-
                strecke ab.
         - Zugbilder um je 2 Pixel verbreitert, Depots angepasst

25.05.00 - Neue Diesellokomotive

22.05.00 - Lagerhaeuser zur Zwischenlagerung von Waren.

19.05.00 - Umstellung der Blockstrecken von Zug auf Wagenzählung
           macht Blockstreckenmanagement robuster
         - Info-Fenster der Signale zeigen jetzt die Blockbelegung an

17.05.00 - FIX: Brücken und Tunnels sind wieder befahrbar
         - Erzanhänger (für LKW) fertig

13.05.00 - FIX: Bug bei Entfernen von Brücken/Tunnels entfernt
         - FIX: Entfernen von Dingen ist wieder möglich

12.05.00 - FIX: Fahrzeuge fahren nicht mehr ueber Wiesen, falls
           der Verkehrsweg zwischendurch entfernt worden ist.
         - FIX: Verkehrsteilnehmer werden nur noch auf geraden Strassen erzeugt
         - FIX: Karte ist nach Start auf einer Stadt zentriert
         - Manfreds Denkmal eingebaut

11.05.00 - Baeume ueberarbeitet
         - Einige Haeuser ueberarbeitet
         - Erzbergwerk ueberarbeitet

10.05.00 - Alternative Landschaftserzeugung mit "Perlin Noise"

08.05.00 - Manfreds Staubkesselwaggon eingebaut
         - Autofabrik verbraucht jetzt Kunststoff
         - Fabrikfenster führt max. Prod jetzt separat auf

30.04.00 - Convois haben jetzt Zaehler fuer Jahresgewinn

29.04.00 - FIX: Schienentunnel/-bruecken entfernen funktioniert jetzt

24.04.00 - FIX: erstes/letztes wird bei Einlagerung in Depot geloescht
         - FIX: Halt mit/ohne beladen verhaelt sich jetzt gleich
                -> Zuege fahren vollstaendig in Bahnhoefe ein

23.04.00 - FIX: sync_steppable hat virtuellen destruktor
         - FIX: Depots ermitteln Fahrzeugnummern besser

??.04.00 - Umstellung DOS Version auf Allegro
         - Umstellung DOS Version auf DJGPP 2.03

18.04.00 - FIX: Land anheben/absenken unter Brücken ist verboten
         - FIX: es laesst sich nur noch ein kartenfenster oeffnen
         - FIX: Schienen unter Bruecken bauen laesst Bruecken intakt
         - FIX: moegliche Fehlerquellen beim Verbinden von Blockstrecken
                und beim Bau von Signalen in Ringstrecken korigiert

15.04.00 - FIX: delta_t bei asynchronem step wird jetzt richtig berechnet
         - FIX: int route.cc INT_CHECK Aufrufe eingefügt -> weniger ruckeln
         - CHANGE: markierungen von grund_t in karte_t verlegt
         - CHANGE: step steppt nur noch jedes 15. Objekt pro Durchlauf
         - CHANGE: step in grund_t wieder virtuell, ohne if

14.04.00 - FIX: laden und speichern von beliebig grossen Karten moeglich
         - Einstellung fuer Scrollgeschwindigkeit
         - Einstellung fuer Verkehrdichte

13.04.00 - FIX: display_img clipped jetzt oben wieder richtig
         - FIX: verkehrsteilnehmer_r "springen" nicht mehr
         - Vorbereitung "welt gui" zur interaktiven kartenwahl
         - Einstellungsobjekte für Spieleinstellungen

12.04.00 - Umbau des fabrikbauer_t fuer sinnvolle Platzierung der Industrien
         - kleine optimierung in display_img und display_color_img

09.04.00 - Umbau von vehikel_t zur Ableitung einer Klasse
           fuer den Individualverkehr

06.04.00 - Vorbereitungen fuer waehlbare Kartengroessen
         - Speichereinsparungen am Blockmanager (Markierungen als char statt bool)

05.04.00 - Speichereinsparungen an ding_t und grund_t (ca. 30%)

02.04.00 - Fahrzeuge werden auf der Reliefkarte angezeigt

01.04.00 - Umbau Fahrplaneingabe auf Werkzeugschnittstelle
         - KIs ebnen Land und entfernen Hindernisse beim Bahnhofsbau
         - FIX: Bahnhof entfernen setzt Blockstrecken richtig
         - FIX: Trennen von Blockstrecken verbessert
         - FIX: Fabriknamen werden sprachunabhängig gespeichert
         - FIX: Karte huepft nicht mehr bei erneutem Scrollen
         - FIX: KI orientiert sich am Lagerbestand bei Streckenplanung
         - FIX: "Gekaufte" Felder koennen nicht in der Hoehe veraendert werden

26.03.00 - Kunststoff- und Stahl-LKWs eingebaut
         - Manfred's Stahltransporter eingebaut
         - FIX: Convois werden aus Convoiliste entfernt, wenn sie
                ein Depot betreten
         - FIX: Gebeude koennen jetzt auch null-Texte speichern
         - FIX: Signale umstellen kostet kein Geld

25.03.00 - FIX: Tunnelmündungen erhalten richtigen Blockstreckenzeiger
         - FIX: Brueckenauffahrten erhalten richtigen Blockstreckenzeiger

22.03.00 - Verbesserte Grafikperformnce 30-40% schneller
         - Bessere Komprimierung des Daten.pak

21.03.00 - FIX: Zeiger laden funktioniert jetzt

19.03.00 - FIX: Signale aufstellen wird besser geprueft
         - FIX: KI berechnet gewinn jetzt richtig

18.03.00 - Helligkeits und Farbeinstellungen werden jetzt gespeichert
         - FIX: Brückenbau nur an Strassen/Schienenenden zugelassen
         - FIX: Fehlermeldung "... muss an einfachem Hang ..." uebersetzt
         - FIX: Zeiger fuer Brueckenbau stimmen jetzt
         - GUI fuer Laden, Speichern und Beenden
         - FIX: Kosten fuer Baeume faellen und Haeuser abreißen werden jetzt
           berechnet

17.03.00 - Neue Blockstreckenverwaltung abgeschlossen
         - Sehenswuerdigkeiten begonnen

13.03.00 - Mauszeiger Kann nun auch auf Linien plaziert werden
           Das ist für die neue Signalsetzfunktion notwendig
         - Ricks Korrekturen der en.tab integriert

12.03.00 - Blockstreckenverwaltung neu implementiert (Beginn)

11.03.00 - FIX: KI-Zustand wird gespeichert
         - Mehrere Farbpaletten zur Auswahl
         - Mehrere Helligkeitstufen zur Auswahl
         - FIX: Haltestelleninfo mit vielen Fabriken funktioniert jetzt
         - FIX: Fenster werden immer vollständig sichtbar geoeffnet

09.03.00 - FIX: Bahnhofsgrund verarbeitet ribis jetzt korrekt

04.03.00 - X-Windows: Pointer beim Scrollen unsichtbar
         - FIX: Entfernen fremder Strassen/Schienen nicht mehr moeglich
         - Fahrzeuge können in Depots zurückgeschickt werden
         - Hausbeschreibungen begonnen

28.02.00 - Verhindern mehrfacher Fahrplaneingabe.

27.02.00 - Anklicken des Bildes im Infofenster springt zum Objekt

26.02.00 - Französiche Übersetzung integriert
         - Ricks Bauwerke integriert
         - Fabriken haben jetzt info über abgegebene warenmenge
         - KI nutzt Warenabgabeinfo zur Streckenplanung
         - X-Windows version kann Pointer beim Scrollen im Window fixieren

21.02.00 - Bugfixes fuer KI -> tonnenweise Bugfixes!!!

20.02.00 - Baubaer kann jetzt lokale Optimierungen an Strecken vornehmen

19.02.00 - KI baut Strassen und Schienen automatisch
         - KI baut Bahnhöfe und Frachthöfe
         - Bugfixes fuer Schienenbau und Strassenbau
         - Bugfixes fuer Tunnel und Brueckenbau
         - Bugfix fuer zu viele sync_wolken

16.02.00 - Automatischer Brueckenbau fuer Baubaer funktioniert
         - KI schätzt Anzahl benötigter Fahrzeuge fuer Route

15.02.00 - Automatische Strassenueberbrueckung bei Schienenbau beggonnen

14.02.00 - Automatische Strassentunnelung bei Schienenbau begonnen
           
13.02.00 - Gebaeudenamen werden mit gespeichert
         - Bushaltestellen sind jetzt wg. Sichtbarkeit zweigeteilt
         - Frachthoefe sind jetzt wg. Sichtbarkeit zweigeteilt
         - Verbesserte Bilddarstellung im Infofenster
         - Verbesserung der KI; Strassenfahrzeuge werden 'sinnvoll'
           eingesetzt

12.02.00 - Pipelines prinzipiell fertig
         - Automobile fahren jetzt hintereinander
         - Automobile halten jetzt an belegten Kreuzungen

10.02.00 - Pipelines begonnen
         - Refactoring von simdings in Paket dings

09.02.00 - Entfernen von Strassenbruecken moeglich
         - Entfernen von Eisenbahnbruecken vorbereitet
         - Iconleiste wird nur gezeichnet wenn nötig (Performance +)

05.02.00 - Raffinerien
         - Maximalhoehe fuer Berge
         - Anzeige des sichtbaren Bereiches in der Reliefkarte
         - Fabriken: Produktion vom Lagerbestand abhängig
         - Masseinheiten fuer Waren
         - asynchrones Routing fuer convois
         - Reliefkarte zeigt sichtbaren Ausschnitt an
         - Neuer Bus

04.02.00 - Manfreds Oeltanker eingebaut
         - Raffinerien angefangen

30.01.00 - Grafiken überarbeitet
         - Neue timer-routinen beruecksichtigen wirklich
           verbrauchte zeit.
         - Strassen in den Staedten mit Gehweg
         - Kosten fuer Fahrzeuge werden verrechnet

29.01.00 - weitere i18n
         - makepak tool von simu getrennt
         - tooltips für Icons
         - Oelfeld
         - Synchrone Altersberechnung für Baeume und Gebaeude
         - Tabellen statt switch fuer Baeume und Vehikel

28.01.00 - FIX: Brücken "ins nichts" bauen stürtzt nicht mehr ab
         - Fenster aus Hauptfenster herausschiebbar

23.01.00 - Weitere i18n
         - Convoi fahren jetzt nach halt an Signal langsam an
         - aktuelle Sprache wird gespeichert

22.01.00 - "Neuer Fahrplan" Funktion für Convois
         - Erste Schritte zur Internationalisierung

20.01.00 - Overlay-Technik für Strassen und Schienen implementiert

19.01.00 - Fenster können automatisch nach Zeitspanne geschlosen werden

15.01.00 - FIX: Schienen über Schienen bauen kostet kein Geld
         - FIX: Schienen über Schienen bauen entfernt Züge nicht mehr
         - FIX: A* war fehlerhaft
         - Automatischer Brückenbau möglich
         - Darstellung von Schienen in der Reliefkarte verbessert
         - Makefile verbessert
         - Route ist jetzt eigenes Objekt, d.h. Routing ohne Fahrzeuge 
           wird möglich
         - Passagiere steigen nicht mehr alle gleichzeitig aus,
           statistisch steigen bei n Haltestellen K/(n-1) Passagiere
           pro Haltestelle aus.
         - Haltestellenquote bezieht nun Anzahl wartender Pax/Post 
           mit ein
         - FIX: Name der Fabriken weren jetzt gespeichert/geladen


14.01.00 - Verbesserungen im Stadtbau
         - FIX: Strassenbau in den Staedten erzeugt keine 
           Phantomabzweigungen mehr
         - FIX: Richtige Positionierung der "Schwebetexte"
         - Wolken werden jetzt synchron entfernt  

13.01.00 - Tunnels fertig
         - Convois bei "Halt ohne umdrehen" verbessert
         - Neue Diesellokomotive

10.01.00 - Tunnels; die Bilder für die Tunnelmündungen fehlen noch

08.01.00 - FIX: Laden/Speichern von Convois macht anz_ready persistent
         - SList für synchrone Objekte, damit beliebig viele sync. Obj. mgl.
         - Wolken als synchrone Objekte
         - FIX: Start-Button im Depot; Groesse wurde falsch berechnet
         - FIX: Frachtbildinformation wird jetzt gespeichert
         - Fehlermeldungen und Reaktion auf "OUT OF MEMORY"
         - Fehlermeldungen für Laden/Speichern

06.01.00 - Informationen für Fahrzeuge
         - Depotfenster überarbeitet

05.01.00 - Baugruben für Neubaus
         - FIX: Kennfarbe und Zeit speichern und laden
         - FIX: Rauchberechnung in Convoi, Zeitabhängig statt Geschwindigkeit
         - FIX: trennen von Ringstrecken jetzt moeglich

04.01.00 - Stahlwerk
         - Kohlebergwerk
         - FIX: Name von Haltestellen im Info-Fenster richtig
         - FIX: Frachtbild-Flag wird jetzt bei Fahrzeugen richtig gespeichert
         - Erzlaster
         - Dieselrauch fuer Dieselfahrzeuge

03.01.00 - Beschleunigung der Zeichenfunktionen
         - Animiertes Wasser
         - FIX: Lokomotive mit Fracht
         - FIX: Haltestellenkonstruktor
         - Wartezeitberechnung für Hauptschleife als PI-Regler

29.12.99 - Neues Bahnhofsdach
         - Depotinhalt wird gespeichert
         - Update der Reliefkarte nach laden
         - Neuer Haltestellenzeiger
         - Beschleunigung/Bremsen für Convois

25.12.99 - Neue Dampflokomotive
         - Erweiterungen für Laden/Speichern

23.12.99 - Erweiterungen für Laden/Speichern

18.12.99 - Neue Hierarchie für Depots (Bahndepot, Straßendepot)
         - Neue Hierarchie für Fahrpläne (Bahn, Auto)
         - Bugfixes für Vehikel, Convoi mit nur einem Vehikel
         - neues Verzeichnis dataobj

17.12.99 - Blockstrecken mit Brücken funktionieren jetzt (hoffentlich)
           evtl. Probleme mit Blockstrecken die mittels Brücke über 
           sich selbst hinwegführen
         - Überarbeitung Brückenbau
         - Bugfixes für Vehikel beim Übefahren einer Brücke
         - Tests mit assert()
         - Berechnung der korrekten Kosten bei Landanheben/-absenken

16.12.99 - Haltestellen entfernen ist jetzt möglich
         - einige Sicherheitschecks eingebaut
         - Schatten für Bäume und Häuser

14.12.99 - Erstmals präzise Positionierung des Landschaftszeigers möglich

09.12.99 - asynchrone darstellung möglich
         - neue Image-Verwaltung ermöglicht kompakteres daten.pak

08.12.99 - Haltestellen mit SList für Grund und Fabriken, damit
           entfallen die Beschränkungen auf 16 Felder bzw. 16 Fabriken
         - Verbesserung von move_win durch offset zum Mauszeiger
         - Kleine Verschönerungen an Gebaeude-Bildchen

05.12.99 - Fahrzeuge mit variablen Geschwindigkeiten
         - Abbiegen mit nur einem Fahrzeug in der Kurve

04.12.99 - Verbessertes Clipping für Zeichenfunktionen
         - Verbesserte Window-Darstellung
         - Verbesserte Schilder-Darstellung
         - Softscrolling

03.12.99 - Convoi als Vehikel-Delegate

02.12.99 - Verbesserung convoi_t::ready()
         - Bahndepot

28.11.99 - Erster Versuch eines Dialoges für Zugzusammenstellung
 
27.11.99 - Algorithmus von Dijkstra zum Strassen/Schienenbau implementiert
         - Neue Gebaeude: Einkaufszentrum und Fabrik 5
         - Automatisches Update der Reliefkarte

24.11.99 - Entfernen von Schienenenden möglich

22.11.99 - Entfernen von Signalen möglich
         - Entfernen von Scheinenstücken aus der Mitte von Blockstrecken
           ist möglich

21.11.99 - Shared Memory abschaltbar, neue Kommandozeile:
           "-net" schaltet Shared Memory ab
           "-map 34" startet karte 34
         - Unterstützung für XWindows 24/32 Bit Farbtiefe (experimentell)
         - Unterstutzung für XWindows 16 Bit (565, 555) (experimentell)
         - Dialog für Wahl der Spielerfarben
         - FIX: Traversierung der Blockstrecken betritt jetzt nur Felder
                mit Schienen

20.11.99 - FIX: Signale rechts von den Schienen
         - FIX: Frachthof in Spielerfarbe
         - FIX: Convoi "ist_fahrend" init
         - FIX: Posthäuschen und Industrie werden
                beim Satdbau nicht mehr entfernt
         - FIX: Symbole in Iconleiste erscheinen jetzt in Spielerfarbe

16.11.99 - Weichen für Schienen

14.11.99 - Bugfix für Suche nach draw.fnt
         - Bugfix für fehlende "HOME" Umgebungsvariable
         - Bilder für Erzbergwerke vollständig 
         - Buttons für Infofenster, es fehlt noch der Callback
         - Trennen/Vereinigen von befahrenen Blockstrecken jetzt möglich
         - Bugfixes für Blockstreckenverwaltung

13.11.99 - Alternative Push-Technologie als Ersatz für SIGNAL verfügbar
         - Strassenbau für Städte verbessert
         - neue größere und besser erkennbare Icons
         - verbesserte Werkzeuge für den Bau von Bahnhöfen, Bushaltestellen
           und Frachthöfen: automatische Richtungserkennung

06.11.99 - Blockstrecken jetzt auch für Convois (Züge)

03.11.99 - Bugfixes für Blockstrecken, alle Tests erfolgreich durchlaufen

02.11.99 - Einfach- und Doppelsignale
         - Bugfixes für Blockstrecken und Signalverwaltung

01.11.99 - Erste Blockstreckenverwaltung und Signale

09.09.99 - Simu jetzt unabhängig von draw
         - Simu 16 Bit-faehig

02.06.99 - Bild fuer Rathaus
         - Erzeugen und Verbrauchen von Waren in Fabriken funktioniert jetzt

31.05.99 - Anpassung Haltestellen an neue Waren
         - Neue Haltestelle Frachthof (n,s,w,o)
         - Bruecken jetzt auch mit Zug befahrbar

30.05.99 - Parametrisierbare Fabriken statt Klassenhierarchie
         - Fabrikbauer
         - Fahrzeugbauer

29.05.99 - Erste Industrie: Nutzwald und Saegewerk
         - Transportfahrzeug (LKW) fuer Holz

28.05.99 - Breitensuche statt Tiefensuche fuer Fahrwegsbestimmung
           (neue ADT Queue und Stack)

???      - Bruecken befahrbar

08.05.99 - Brueckenbau moeglich, aber Bruecken noch nicht befahrbar.
           neues bild "bridges.gif" fuer Tunnel und Brueckenbildchen

01.05.99 - simwin: Mausklick wirkt nur noch auf oberstes Fenster
           an dieser postion
         - Einfuehrung eines ADT SList fur bessere Kontrolle der Zugriffe
           und ohne Groessenbeschraenkung

15.04.99 - Bilder fuer Post, Postzeiger, Postlkw und Postlkwzeiger
         - neuer Warentyp: Post
         - grundlegendes Werkzeug wkz_postlinie
         - Bugfixes fuer vehikel_t
           beladen() beachtet jetzt warentyp
               speichern/laden existieren, aber nicht getestet 
         - neue funktion fuer automobil_t set_has_fracht_bild() fuer
           Fahrzeuge ohne beladene Bilder

10.04.99 - display_img und display_color_img pruefen jetzt 
           xmin < xmax und ymin < ymax (verursacht Abstuerze unter DOS)

02.04.99 - welt->lock sperrt jetzt events; notwendig fuer DOS-version
         - display_clear() eingespart, welt ist jetzt insel 

20.03.99 - Passagierwaggon
         - korr. Bahnhof Ostwest
         - Verzicht auf rein virtuelle Methoden -> defensive Programmierung
         - Bugfix in kann_alle_entfernen(): beachtet jetzt Spieler
         - Frachthof neu

13.03.99 - Bessere Namensgebung fuer Haltestellen
         - Busse/Passagiere
         - Bushaltestelle
         - Bugfix Fenster verschieben
         - Passagiererzeugung

10.03.99 - Icons fuer Bahnhof Nordsued und Ostwest
         - Mauszeiger Bahnhof Nordsued und Ostwest
         - Grundlegende Namensvergabe fuer Bahnhoefe ("Boberg Bahnhof")
         - FIX: Stadtpositionen werden jetzt initialisiert
         - Grundlegendes Konzept fuer Bahnhofsbau: Module
           Problem bei Luecke -> neuer Bahnhof angenommen

07.03.99 - Icons fuer Raise, Lower, Abfrage und Remover
         - Mauszeiger: Abfrage, Remover
         - Eigene Datei fuer alle Werkzeuge -> Kapselung
         - Aenderung an der KI, aber Streckenplanung immer noch mangelhaft

06.03.99 - Neue Mauszeiger: Strassenbau, Schienenbau, Raise, Lower
         - Bessere Mauszeigerpositionierung
         - Icons fuer Reliefkarte, Strassenbau und Schienenbau

written by Hj. Malthaner
